package ACE;
use strict;

if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}


############################ sub create ####################################
sub run{
	my $datasetDir		 = $_[1];
	my $ACETildeFile	 = $_[2];
	my $kind			 = $_[3];
	my $verbose			 = $_[4];
	
	my $file;
	my $file_result = "";
	my $cmd;
	my $token_file_result = "";
		
	chdir $datasetDir;
		
	$cmd = "perl $ACETildeFile ";
	if ($verbose eq "true"){
		print $cmd."\n";
	}
	
	system ($cmd);
	
	if ($kind ne "tilde"){
		$token_file_result = ".freq_queries.out";
	}
	
	my @array = FilesIO->listDirectory($datasetDir."$kind/");
	
	foreach $file (@array){
		if (index($file, $token_file_result) >= 0){
			$file_result = $datasetDir."$kind/".$file;
		}
	}
		
	if ($file_result eq "" || FilesIO->isFile($file_result) eq "false"){
			print "ERROR::ACE:: File  $file_result NOT created\n";
	}
	elsif ($verbose eq "true"){
		print "LOG::ACE:: File $file_result succefuly created\n";
	}	
}


############################ sub create ####################################
sub extractRulesWARMR {
	my $inFile		 = $_[1];
	my $depth		 = $_[2];
	my $outFile		 = $_[3];
	my $confidence	 = $_[4];
	my $verbose		 = $_[5];
	
	my $entry; 			my $value_conf; 
	my $head; 			my $body; 
	my $count =1; 		my $rules = "";
	
	my @array = FilesIO->lineFileToArrayWithToken($inFile, "level($depth).");
	my @array_aux ;
	
	foreach $entry (@array){	
		if (index($entry, "freq") >= 0){
			$entry = substr($entry, index($entry, "[") + 1, length($entry));
			@array_aux = split(/]/, $entry);
			$value_conf = String->getSubStringInterval($array_aux[1], ",", ")");
			if ($value_conf >= $confidence){
				$head = String->getSubStringInterval($array_aux[0], ",", ")").")";
				$body = substr($array_aux[0], index($array_aux[0],"true,$head".",") + length("true,$head".","), length($array_aux[0])).".";
				$rules .= "rule$count;".$head." :- ".$body.";".$value_conf."\n";
				$count++;
			}		
		}		
	}	
	FilesIO->saveFile($outFile, $rules, $verbose);				
}

1