package HMMERSTRUCTAlign;
use strict;
if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}
use File::Files;
use Util::Array;



sub improveWeightCol{

	my $mat_file_path 	 		= $_[1];
	my $perc_weight_in_col 		= $_[2];
	my $weight_in_col 			= $_[3];
	my $change_weight_in_col 	= $_[4];
	
	my @mat = Array->readFileToMat($mat_file_path, "\t");
	my $count = 0; my $perc_col;
  
  	for (my $j = 1; $j < $#{ $mat[0] }; $j++){#j = column 
  		$count = 0;
 		for (my $i = 0; $i < scalar(@mat); $i++){#i = row  	
  		    print "$i,$j = ".$mat[$i][$j]."\n";
  		    if ($mat[$i][$j] == $weight_in_col){
  				$count++;
  			}
  		}
  		$perc_col = $count/scalar(@mat);
  		print $perc_col." perc_col $count \n";
  		if ($perc_col >= $perc_weight_in_col){
  			for (my $k = 0; $k < scalar(@mat); $k++){#k = row  	
  		    	print "before $k,$j = ".$mat[$k][$j]."\n";
  		     	if ($mat[$k][$j] == $weight_in_col){
  					$mat[$k][$j] = $change_weight_in_col;
  					print "after $k,$j = ".$mat[$k][$j]."\n";
  		     	}
  			}
  	 	}
  	}
  	
  	my $info = "";
  	for (my $i = 0; $i < scalar(@mat); $i++){#i = row  	
  		for (my $j = 0; $j < $#{ $mat[0] }; $j++){#j = column 
  			$info .= $mat[$i][$j];
  			if ($j <  ($#{ $mat[0] } -1)){
  				$info .= "\t";
  			}  			
  		}
  		$info .= "\n";
  	}
  	FilesIO->saveFile($mat_file_path.".wei", $info);
  	exit;	
}

1 