
use strict;
if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}
use Database::PFAM;
use File::Files;
use Util::Number;


my $arg1 = "";
my $arg2 = "";
my $arg3 = "";
my $arg4 = "";
my $arg5 = "";

my $verbose = "false";
my $operation = "";
my $PROG_NAME = "PerlLib::Database::PFAM.pl";


&getParameters;
&checkParameters;
&main;


############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-arg1" || $ARGV[$counter] eq "-a1"){
			$arg1 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-verbose" || $ARGV[$counter] eq "-v"){
			$verbose = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg2" || $ARGV[$counter] eq "-a2"){
			$arg2 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-operation" || $ARGV[$counter] eq "-op"){
			$operation = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg3" || $ARGV[$counter] eq "-a3"){
			$arg3 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg4" || $ARGV[$counter] eq "-a4"){
			$arg4 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg5" || $ARGV[$counter] eq "-a5"){
			$arg5= $ARGV[$counter+1];
		}	
	}
}
############################ sub checkParameters ##################################
sub checkParameters {
	print "\n=============================================\n";
	print "Cheking Parameters $PROG_NAME\n";

	String->isEmpty($operation, "ERROR::".$PROG_NAME.":: Parameter -operation is required ");
	String->isEqual($verbose,"true,false", "ERROR:: verbose = [true, false]");

	print "-verbose = $verbose\n";
	print "-operation = $operation\n";
	print "ok\n";	
}	

############################ sub main ##################################
sub main{

	if ($operation == 1){
		#arg1 = Interprot_swissprotFile; arg2 = outputFile; arg3=kind of save
		PFAM->getSequencesFromAlignment($arg1, $arg2, $arg3, $verbose);
	}elsif ($operation == 2){
		PFAM->getDomainArchs($arg1, $arg2, $verbose);
	}elsif ($operation == 3){
		#arg1 = swisspfam file; arg2 = outputFile; 
		PFAM->getDomainArchs($arg1, $arg2, $verbose);
	}elsif ($operation == 4){
		#arg1 = archFile produced in op=3; arg2 = ids protein file; arg3 = outputFile; 
		PFAM->getDomainArchsPerIdsProteins($arg1, $arg2, $arg3, $verbose);
	}
}

  


1