package Number;
#!/usr/bin/perl -w
use strict;
use String::StringUtil;



if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}


############################ sub isNumber ###################################
sub isNumber {
	my $word 	= $_[1];

	if ($word =~ /^[+-]?\d+$/){
		return "true";
	}
	else{
		return "false";
	}
}


############################ sub isNumber ###################################
sub isNumber3 {
	my $word 	= $_[1];

	if ($word=~ /^\d*.?\d+/ ){
		return "true";
	}
	else{
		return "false";
	}
}

############################ sub isNumber ###################################
sub isNumber2 {
	my $word 	= $_[1];

	if ($word=~ /[A-Z]/ || $word=~ /[a-z]/){
		return "false";
	}
	else{
		return "true";
	}

}


############################ sub removeNumber ###################################
sub removeNumber {
	my $word 	= $_[1];
	my $number = "";
	for(my $i = 0 ; $i < length($word) ; $i++){
		if (Number->isNumber(substr($word,$i,1)) eq "true"){
			$number .=substr($word,$i,1);
	 	}
	}
	return $number;

}

############################ sub removeNumber ###################################
sub removeZeroLeft {
	my $word 	= $_[1];
	my @array = split(//,$word);
	my $start = "false";
	my $number ="";
	for (my $i = 0 ; $i < scalar(@array); $i++){
		if ($array[$i] != 0){
			$start = "true";
		}
		
		if ($start eq "true"){
			$number .= $array[$i];
		}
	}
	return $number;

}


############################ sub removeNumber ###################################
sub mod {
	my $number 	= $_[1];
	my $div 	= $_[2];
	
	my $mod_aux;
	
	$mod_aux = $number - (int($number/$div)*$div);
	
	return $mod_aux;

}

############################ sub removeNumber ###################################
sub smallest {
	my $numbers 	= $_[1];

	my $entry;
	my $small = 100000;
	my @array_numbers = split(/\t/, $numbers);

	foreach $entry (@array_numbers){
		if ($entry < $small){
			$small = $entry;
		}
	}		
	return $small;
}

############################ sub removeNumber ###################################
sub euclianDistance {
	my $array_line_1	= $_[1];
	my $array_line_2	= $_[2];
	
	my $value;
	my $square;
	my $sum = 0;

	my @array1 = split(/,/, String->removeCaracter($array_line_1,"\n"));
	my @array2 = split(/,/,String->removeCaracter($array_line_2,"\n"));
	
	for (my $i = 0; $i < scalar(@array1); $i++){
		$value = $array1[$i]- $array2[$i];
		$square = $value*$value;
		$sum += $square;
		#print "$i ->x1 = $array1[$i]\tx2 = $array2[$i]\tx1-x2 = $value\t(x1 - x2)^2 =  $square\n";	
			
	}
	my $root = sqrt($sum);
	#print $sum ."\n".$root;
	return $root;	
}

############################ sub removeNumber ###################################
sub log {
	my $n	= $_[1];
	my $base	= $_[2];
	
	if ($n == 0 || $n <= 1e-200){
		$n = "1e-200";
	}
	return CORE::log($n)/CORE::log($base);
}

############################ sub removeNumber ###################################
sub logMax {
	my $n	= $_[1];
	my $base	= $_[2];
	my $max	= $_[3];
	
	if ($n == 0 || $n <= $max){
		$n = $max;
	}
	return CORE::log($n)/CORE::log($base);
}

############################ sub removeNumber ###################################
sub sigmoid {
	my $n		= $_[1];
	my $func = exp(-$n);
	$func = 1 / (1+$func);
	return $func;
}

############################ sub removeNumber ###################################
sub getRandom {
	my $range		= $_[1];
  
  	my $random_number = int(rand($range));

  	return $random_number;
}

############################ sub loadAlign1d ####################################
sub normalizeMinMax{
	my ($lixo, $bound, $upper, $MinXo, $MaxXo, $value) = @_;

	my @array_aux;					my $deltaxo;
	my $newValue;
	
	my $delta = $upper - $bound;	
	

	$deltaxo = $MaxXo - $MinXo;
	
	if ($deltaxo != 0){
		$newValue = $bound + (($value - $MinXo)*$delta/$deltaxo);
	}else{
		print "ERROR::Number.pm:: deltaxo = 0\n";
		exit;
	}
	
	return $newValue;
}
1