#!/usr/bin/perl -w
use strict;
if (exists($ENV{'PERL_LIB'})){ use lib $ENV{'PERL_LIB'};}else{print "ERROR:: Not existis PERL_LIB\n";exit;}
use Util::SVGSequence;


my $lenSeq=4360; my $size=1000; my $frameW=1000; my $frameH=20;

print SVGSequence->representLengthSequence($lenSeq, $size, 5, $frameW, $frameH);
print SVGSequence->representQuery(1000, 1000, 20);

my @arrayHits = (
           [ "3", "100", "#F78181", "link" ,"Tip('<b>PFAM Domain::</b>&nbsp;FAD_binding_7</br><b>Model::</b>Monosiga brevicollis</br><b>Range in protein::</b>&nbsp;240&nbsp;-&nbsp;517&nbsp;(278 aa)</br><b>Range in domain::</b>179&nbsp;-&nbsp;455&nbsp;(100%)</br><b>SVM Prob::</b>0.841566</br><b>Evalue::</b>&nbsp;8e-118</br>');" ],
           [ "500", "752", "#F78197", "link" , "Tip('<b>PFAM Domain::</b>&nbsp;FAD_binding_7</br><b>Model::</b>Monosiga brevicollis</br><b>Range in protein::</b>&nbsp;240&nbsp;-&nbsp;517&nbsp;(278 aa)</br><b>Range in domain::</b>179&nbsp;-&nbsp;455&nbsp;(100%)</br><b>SVM Prob::</b>0.841566</br><b>Evalue::</b>&nbsp;8e-118</br>');" ],
           [ "300", "652", "#F97676", "link" , "Tip('<b>PFAM Domain::</b>&nbsp;FAD_binding_7</br><b>Model::</b>Monosiga brevicollis</br><b>Range in protein::</b>&nbsp;240&nbsp;-&nbsp;517&nbsp;(278 aa)</br><b>Range in domain::</b>179&nbsp;-&nbsp;455&nbsp;(100%)</br><b>SVM Prob::</b>0.841566</br><b>Evalue::</b>&nbsp;8e-118</br>');" ],
           
    );
    
 @arrayHits = (    
[83, 126, 'darkgray', "", "Kelch_4", "Kelch_4" ],
[307, 347, 'darkgray', "","Kelch_4", "Kelch_4"],
[1857, 2086, 'goldenrod', "", "AAA_6", "AAA_6"],
[2220, 2354, 'coral' , "","AAA_5", "AAA_5"],
[2518, 2775, 'linen', "", "AAA_7","AAA_7"],
[2859, 3064, 'mediumspringgreen' , "","AAA_8", "AAA_8"],
[3278, 3624, 'lightseagreen', "", "MT","MT"],
[3733, 3956, 'violet' , "", "AAA_9","AAA_9"],
[4398, 4756, 'dimgray', "", "Dynein_heavy","Dynein_heavy"],
[4841, 5248, 'dimgray', "", "Dynein_heavy","Dynein_heavy"]
 );
 
print SVGSequence->showMultDomainsGraphicallyTip(5251, 1000, 1000, 70, \@arrayHits);
exit;
@arrayHits = (
    [207, 430, "red", "butt", "http://pfam.sanger.ac.uk/family/PF00270", "Tip('<b>PFAM Domain::</b>&nbsp;FAD_binding_7</br><b>Model::</b>HMM</br><b>Range in protein::</b>&nbsp;207&nbsp;-&nbsp;430&nbsp;(224 aa)</br><b>Domain Cov::</b>100%&nbsp;</br><b>Evalue::</b>&nbsp;4.3e-30</br>');"],
   [509, 575, "darkcyan", "butt", "http://pfam.sanger.ac.uk/family/PF00271", "Tip('<b>PFAM Domain::</b>&nbsp;FAD_binding_6</br><b>Model::</b>HMM</br><b>Range in protein::</b>&nbsp;509&nbsp;-&nbsp;575&nbsp;(67 aa)</br><b>Domain Cov::</b>82%&nbsp;</br><b>Evalue::</b>&nbsp;1.4e-22</br>');"],
);  

print SVGSequence->showMultDomainsGraphicallyTip(680, 1000, 1000, 70, \@arrayHits);
print "\n\n";

my @arrayHits2 = (
["1", "200", "red", "link", "link", "1.2e-80", "1"],
["5", "220", "blue", "link", "link", "2.6e-82", "2"],
["201", "400", "green", "link", "link", "2.5e-84", "4"],
["221", "402", "yellow", "link", "link", "2.3e-80", "5"],
 );

   
 print SVGSequence->showMultAllDomainsGraphicallyTip(1000, 1000, 1000, 200, \@arrayHits2);  

 my @arrayHits3 = (
           [ "PF00001", "7tm_1", "red", "link" ],
           [ "PF00002", "ABC", "blue", "link" ],
           [ "PF00003", "DEAD", "green", "link" ],
           [ "PF00004", "Helicase", "yellow", "link" ],
           [ "PF00005", "Zn", "black", "link" ],
           
    );
    
 my @arrayTable = SVGSequence->showSubtitleDomais(\@arrayHits3); 
 print "\n\n";
 
 
 exit;
 @arrayHits2 = (
["1", "200", "red", "link", "link", "1.2e-80", "1.10.580.10"],
["5", "220", "blue", "link", "link", "2.6e-82", "1.10.580.10"],
["100", "300", "green", "link", "link", "2.5e-84", "1.10.580.10"],
["201", "400", "yellow", "link", "link", "2.3e-80", "1.10.580.10"],
["210", "410", "black", "link", "link", "1.9e-29", "1.10.230.10"],
["415", "558", "darkblue", "link", "link", "2.5e-23", "1.10.230.10"],
["422", "580", "darkgreen", "link", "link", "3.3e-24", "1.10.230.10"],
 );