
export ENV_VAR_FILE=$1;

export TF_TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;
export FILE=$6;




source $ENV_VAR_FILE;



perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \"LOG::START::FAMILY_FACTOR\", \
date, \
echo \$HOSTNAME, \
export PERL_LIB=$PERL_LIB, \
export SCRIPT_DIR=$SCRIPT_DIR \
\) \
-scriptParameters \( \
END_LINE,\
if [ -s $FILE ], \
END_LINE, \
then, \
END_LINE, \
echo \"File created $FILE\", \
END_LINE, \
else, \
END_LINE,\
echo \"Running::$FILE\", \
END_LINE,\
fi, \
END_LINE \
\)  \
-posPost \( \
echo \"LOG::END::FAMILY_FACTOR\", \
date \
\) \
-commandParameters  \( bash \)


