use strict;

use lib "/home/juliana/tese/desenvolvimento/scripts_perl/teste_scop";
use Sequence::sequence;
use File::Files;
use Align::Primary::clustalw;

my $dir = "/home/juliana/tese/testes/scop40-teste/test_set/teste_familias/a.1.1./a.1.1.1/result/mammoth/calibrated/hmmerStruct/";
my $db_fp_file  = "falses_positives_potenciais.result";

my $db_mot  = "/home/juliana/tese/testes/scop40-teste/test_set/teste_familias/a.1.1./a.1.1.1/alignment/mammoth/a.1.1.1.dbm";
my @mat_mot    = ([],[]);
my $line;
my $seq;
my $info = "";
my $key;
my $value;
my $i;
my $score;
my $big_score;
my $info_seq  = "";

my $tam = 0;
my %hash_seq = Sequences->getSequencesFromFasta($dir.$db_fp_file);

if (FilesIO->isFile($db_mot) eq "true") {
  my @array_file = FilesIO->lineFileToArray($db_mot);
  foreach $line (@array_file){
    my @array_line = split(/ +/, $line);
    $mat_mot[$tam][0] = $array_line[0];
    $mat_mot[$tam][1] = substr($array_line[1],0,index($array_line[1],"\n"));   
    $tam++;
  }
       
  while (($key, $value) = each(%hash_seq)){#loop by sequence
     $seq = ">$key\n$value";
     $big_score = -10000;
     for ($i = 0; $i < $tam; $i++){#loop by motifs
       
       $line = ">motif$i\n".$mat_mot[$i][0]."\n";
       $info = $seq.$line;       
       FilesIO->saveFile("tmp.seq", $info);
       $score = Clustalw->runAlign("tmp.seq", "tmp.aln");
       $score +=$mat_mot[$i][1];
       if ($score > $big_score){
         $big_score = $score;
       }       
     }
     FilesIO->removeFile("tmp.seq");
     FilesIO->removeFile("tmp.aln");     
     $info_seq .= "$key\t$big_score\n"
  }
  print $info_seq;  
}
else{
  print "Could not open file $db_mot to read !\n";
}


