#!/usr/bin/perl -w
use strict;
use lib "/home/juliana/tese/desenvolvimento/scripts_perl/teste_scop";
use File::Files;

#Variaveis que comportam os parametros de entrada
my $in_file 		= "";
my $dir_pattern	= "/home/juliana/tese/testes/scop40-teste/test_set/teste_familias/";

&getParameters;
&main;

############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-filein"){
			$in_file  = $ARGV[$counter+1];		
		} 		
	}
}

############################ sub main ##################################
sub main{
	my @families 		= ();
	my @family 		= ();
	my $entry;
	my $dir_old 		= "";
	my $dir;
	my $new_sample;
	my $old_sample 		= "";
		
	#read family file
	unless (open(FAMILYFILE, "$in_file")) {
       		print "Could not open file $in_file !\n";
        	exit;
    	}
	@families = <FAMILYFILE>;
	foreach $entry (@families) {
		@family	= split(/ +/,$entry);
		$new_sample = $family[0];
		#print $new_sample ."\n";
		if ($new_sample ne $old_sample){
			$dir = substr($family[4],0,index($family[4],"\n")). "/" ;	
			&cpFiles($new_sample,$dir); 
		}
		$old_sample = $new_sample;
	}
	close FAMILYFILE;
}

############################ sub formatFile #####################################
sub cpFiles{
	my $sample    = $_[0];
	my $dir       = $_[1];

	my $pattern    = &getPattern(3,".",$sample);
	my $dir_cp    = $dir_pattern.$pattern."/"."$sample/result/mammoth/calibrated/hmmer/hmmer_$sample.result";
	my $dir_ori   = "/home/juliana/tese/testes/scop40-teste/test_set/teste_familias/";
	my $dir_geral = $dir_ori.$pattern."/$sample/result/mammoth/calibrated/hmmerStrOnly/";
	

   if (FilesIO->isDirectory($dir_geral) eq "false"){
		FilesIO->createDirectory($dir_geral);
		print "dir $dir_geral created ";
	}
	
	#my $dir_comp = substr($dir,0,index($dir,"\n"))."tar.gz";
	my $cmd = "cp $dir_cp $dir_geral";
	print $cmd. "\n";
	system ($cmd);
	
	
}

############################ sub getPattern ##################################
sub getPattern {
	my $num 		= $_[0];
	my $sep		= $_[1];
	my $string 	= $_[2];
	my $counter;
	my $indice;
	my $new_string 	= "";

	for($counter = 0 ; $counter < $num  ; $counter++){
		$indice 	= index($string, $sep);
		if ($indice >=0){
			$new_string 	= $new_string . substr($string,0,$indice+1);
			$string		= substr($string,$indice+1, length($string));			
		}
	}
	return $new_string;	
}

