
export PERL_LIB=~/projetos/perlLib/

export TF_TABLE=$1;
export LOG_DIR=$2;
export NAME_PROG=$3;
export DIR_TO_COPY=$4;
export DIR_DATASET=$5;
export QTD_FILE=$6;

perl ~/projetos/perlLib/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily.sh \
-logDir $LOG_DIR \
-qtdFile $QTD_FILE \
-kindRun 1 \
-prePost \( \
echo \" LOG::START \", \
date, \
echo \$HOSTNAME, \
export PERL_LIB=~/projetos/perlLib/, \
mkdir -p $DIR_DATASET, \
\) \
-scriptParameters \( \
END_LINE,\
cp -rf $DIR_TO_COPY $DIR_DATASET, \
END_LINE \
\)  \
-posPost \( \
echo \" LOG::END \", \
date \
\) \
-commandParameters  \( bash  \) 


