package Domain;
use strict;


if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}
use File::Files;


############################ sub getSequencesFromFasta ####################################
sub calculateCoverage {
  
  my $startDomain 	= $_[1];	
  my $endDomain 	= $_[2];
  my $startHit 		= $_[3];	
  my $endEnd 		= $_[4];
  
 # print "$startDomain $endDomain $startHit $endEnd\n";
  
  my $len_domain = $endDomain - $startDomain + 1;
  my $len_hit = $endEnd - $startHit + 1;
  
  my $domain_cov = ($len_hit/$len_domain)*100;
  if ($domain_cov > 100){
  	$domain_cov = "100";
  }
  $domain_cov = sprintf("%.2f", $domain_cov);
  
  return $domain_cov;
}

############################ sub main ##################################
sub domainCombination{   
	my ($lixo, $tmpDir, $info_DomainIds, $number_comb, $verbose) = @_;
	my $comb_file = $tmpDir."combs.txt" ;
	my @array_aux;
	
	my $cmd_gereral = $ENV{'PERL_LIB'}."/run/./combinatoria.bin ";			   
	my $cmd = $cmd_gereral. $number_comb. " ".$info_DomainIds." > ". $comb_file;
	if ($verbose eq "true") {print "cmd".$cmd."\n";}
	system($cmd);
	
	my @array_comb = FilesIO->lineFileToArray($comb_file);
	#print Array->printArray(" ", \@array_comb);
	for (my $i = 0; $i < scalar(@array_comb); $i++){
		@array_aux = String->StringToArray($array_comb[$i], " +");
		@array_aux = sort (@array_aux);
		$array_comb[$i] = Array->printArray(" ", \@array_aux);
	}
	
	return @array_comb;
}

############################ sub main ##################################
sub domainALLCombination{   
	my ($lixo, $tmpDir, $info_DomainIds, $start_comb, $end_comb, $verbose) = @_;
	my @domains = ();		my @array_ret = ();

	for (my $i = $start_comb; $i <= $end_comb; $i++){
		@domains = Domain->domainCombination($tmpDir, $info_DomainIds, $i, $verbose);
		if ($verbose eq "true") {print Array->printArray("\n", \@domains);}
		push(@array_ret, @domains);
	}
	return @array_ret;
		
}
############################ sub main ##################################
sub compareDomainArchs{
	my $arch1 	= $_[1];
	my $arch2 	= $_[2];
	
	my $count_same = 0;
	
	
	
	my @archArray1 = String->StringToArray($arch1, " +");
	my @archArray2 = String->StringToArray($arch2, " +");
	
	$arch1 =~ s/\n/ /g;
	$arch2 =~ s/\n/ /g;
	#print ">>compare\n$arch1\n\n$arch2\n\n";
	
	for (my $j = 0; $j < scalar(@archArray1); $j++){					
		for (my $k = 0; $k < scalar(@archArray2); $k++){
			if ($archArray2[$k] eq $archArray1[$j]){
				$count_same++;
				$k = scalar(@archArray2);
			}
		}	
	}
	if ($count_same == (scalar(@archArray2))){
		#print "Archs are equals\n";
		return "true";
	}
	#print "Archs NOT are equals\n";
	return "false";

}
	
1
