

export ENV_VAR_FILE=$1;
export TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;
export SEQ_FILE=$6;
export OUTPUT_FILE=$7;

source $ENV_VAR_FILE;


perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \" LOG::START\", \
date, \
echo \$HOSTNAME, \
export PATH=\$PATH\:$PATH_CLUSTALW\;, \
export PERL_LIB=$PERL_LIB \
\) \
-scriptParameters \( \
END_LINE,\
if [ -s $OUTPUT_FILE ], \
END_LINE, \
then, \
END_LINE, \
echo \"FILE $OUTPUT_FILE was already created \", \
END_LINE, \
else, \
END_LINE, \
perl $PERL_LIB/run/runClustalw.pl, \
-inputFile $SEQ_FILE, \
-outputFile $OUTPUT_FILE, \
END_LINE, \
fi, \
END_LINE \
\) \
-posPost \( \
echo \" LOG::END\", \
date \
\) \
-commandParameters  \( bash \)

