package Joy;
use strict;
if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}
use File::Files;
use String::StringUtil;


my  $tag_html_in_Font_color_blue = "<FONT color=blue>";
my $tag_html_in_Font_color_red = "<FONT color=red>";
my $tag_html_in_Font_color_green = "<FONT color=green>";
my $tag_html_out_Font = "</FONT>";
my $tag_html_in_bold = "<B>";
my $tag_html_out_bold = "</B>";
my $tag_html_in_underline =  "<U>";
my $tag_html_out_underline =  "</U>";
my $tag_html_in_background =  "<FONT class=bgMY01>";
my $tag_html_out_background =  "</FONT>";
my $tag_html_in_italic = "<I>";
my $tag_html_out_italic = "</I>";

######################### getSecundaryStruct ################################
sub getSequence {
  my $path 	 = $_[1];  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $sequence    = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^sequence/){
           do{
             $count++;
             $sequence .= substr($aln_file[$count],0,index($aln_file[$count],"\n"));
             #$sequence .= $aln_file[$count];             
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return substr($sequence,0,index($sequence,"*"));
	 
}


######################### getSecundaryStruct ################################
sub getSecundaryStruct {
  my $path 	 = $_[1];  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $struct_sec  = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^secondary structure/){
           do{
             $count++;
             $struct_sec .= substr($aln_file[$count],0,index($aln_file[$count],"\n"));
             #$struct_sec .= $aln_file[$count];             
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return  substr($struct_sec,0,index($struct_sec,"*"));
	 
}
######################### getSolventAccessibility ################################
sub getHydroBondMainchainCO {
  my $path 	 = $_[1];
  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $solventAcc  = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^hydrogen bond to mainchain CO/){
           do{
             $count++;
             $solventAcc .= substr($aln_file[$count],0,index($aln_file[$count],"\n")); 
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return  substr($solventAcc,0,index($solventAcc,"*"));;
	 
}

######################### getSolventAccessibility ################################
sub getHydroBondMainchainNH {
  my $path 	 = $_[1];
  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $solventAcc  = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^hydrogen bond to mainchain NH/){
           do{
             $count++;
             $solventAcc .= substr($aln_file[$count],0,index($aln_file[$count],"\n")); 
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return  substr($solventAcc,0,index($solventAcc,"*"));;
	 
}

######################### getSolventAccessibility ################################
sub getBondDisulphide {
  my $path 	 = $_[1];
  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $solventAcc  = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^disulphide/){
           do{
             $count++;
             $solventAcc .= substr($aln_file[$count],0,index($aln_file[$count],"\n")); 
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return  substr($solventAcc,0,index($solventAcc,"*"));;
	 
}

######################### getSolventAccessibility ################################
sub getPositivePhiAngle {
  my $path 	 = $_[1];
  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $solventAcc  = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^positive phi angle/){
           do{
             $count++;
             $solventAcc .= substr($aln_file[$count],0,index($aln_file[$count],"\n")); 
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return  substr($solventAcc,0,index($solventAcc,"*"));;
	 
}
######################### getSolventAccessibility ################################
sub getSolventAccessibility {
  my $path 	 = $_[1];
  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $solventAcc  = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^solvent +accessibility/){
           do{
             $count++;
             $solventAcc .= substr($aln_file[$count],0,index($aln_file[$count],"\n"));;             
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return  substr($solventAcc,0,index($solventAcc,"*"));;
	 
}
######################### getOoiNumber ################################
sub getOoiNumber {
  my $path 	 = $_[1];
  
  
  my @aln_file  = ();
  my $qtd_results = 0;
  my $count       = 0;
  my $stop        = "false";
  my $oiNumber  = "";
	
  if (open(FILE, "$path")){
     @aln_file = <FILE>;
     $qtd_results = scalar(@aln_file);
         
     while ($count < $qtd_results && $stop eq "false"){
       #print $aln_file[$count];	
       if ($aln_file[$count] =~ /^Ooi +number/){
           do{
             $count++;
             $oiNumber .= substr($aln_file[$count],0,index($aln_file[$count],"\n"));;             
           }while (index($aln_file[$count],"*") < 0);
           $stop = "true";           
       }
       $count++;
     }
     close FILE;
  }
  else {
    print "ERROR:: Could not open file $path  to read !\n";
  
  }
  return   substr($oiNumber,0,index($oiNumber,"*"));;
	 
}
######################### getSecundaryStruct ################################
sub getAlign {
  my $seq_align    = $_[1];
  my $info_struct  = $_[2];
  my $start_pos    = $_[3];
  
  my @array_seq_align  = split(//,$seq_align);
  my @info_struct      = split(//,$info_struct);
  
  my $count_seq        = 0;
  my $count_struct     = $start_pos;
  
  my $info             = "";
  
  for ($count_seq = 0; $count_seq < scalar(@array_seq_align); $count_seq++){
    if ($array_seq_align[$count_seq] eq "-"){
      $info .= "-";
    }
    else{
      while($info_struct[$count_struct] eq "-"){$count_struct++};
      $info .= $info_struct[$count_struct++];
    }
  }
  return $info; 
}
######################### getAccessibilityAlign ################################
sub getAccessibilityAlign {
  my $seq_align    = $_[1];
  my $info_struct  = $_[2];
  my $start_pos    = $_[3];
  
  my @array_seq_align  = split(//,$seq_align);
  my @info_struct      = split(//,$info_struct);
  
  my $count_seq        = 0;
  my $count_struct     = $start_pos;
  
  my $info             = "";
  
  for ($count_seq = 0; $count_seq < scalar(@array_seq_align); $count_seq++){
    if ($array_seq_align[$count_seq] eq "-"){
      $info .= "-";
    }
    else{
      while($info_struct[$count_struct] eq "-"){$count_struct++};
      $info .= $info_struct[$count_struct++];
    }
  }
  return $info; 
}

######################### getAccessibilityAlign ################################
sub getOiNumberAlign {
  my $seq_align    = $_[1];
  my $info_struct  = $_[2];
  my $start_pos    = $_[3];
  
  my @array_seq_align  = split(//,$seq_align);
  my @info_struct      = split(//,$info_struct);
  
  my $count_seq        = 0;
  my $count_struct     = $start_pos;
  
  my $info             = "";
  
  for ($count_seq = 0; $count_seq < scalar(@array_seq_align); $count_seq++){
    if ($array_seq_align[$count_seq] eq "-"){
      $info .= "-";
    }
    else{
      while($info_struct[$count_struct] eq "-"){$count_struct++};
      $info .= $info_struct[$count_struct++];
    }
  }
  return $info; 
}

######################### runJoy ################################
sub run {
  my $pdbFile      = $_[1];
  my $joyFile      = $_[2];

  
  
  if (FilesIO->isFile($joyFile) eq "false") {
    my $dir = FilesIO->getDirectory($pdbFile); 
    my $new_file  = substr($joyFile, 0 , index($joyFile,".tem"));
    my $base_file = FilesIO->getNameFile($pdbFile);
    my $base_file_aux = substr($base_file, 0 , index($base_file, FilesIO->getExt($base_file)));
	
    print $dir."\n";
    chdir($dir); 
  
   
    my $cmd = "joy --tem $base_file";  
    print $cmd ."\n";
    system($cmd);
    
    if (FilesIO->isFile($base_file_aux."tem") eq "true"){
		FilesIO->removeFile($base_file_aux."ali");
      	FilesIO->removeFile($base_file_aux."atm");
      	FilesIO->removeFile($base_file_aux."cof");
      	FilesIO->removeFile($base_file_aux."hbd");
      	FilesIO->removeFile($base_file_aux."ps");
      	FilesIO->removeFile($base_file_aux."psa");
      	FilesIO->removeFile($base_file_aux."rtf");
      	FilesIO->removeFile($base_file_aux."sst");
		FilesIO->removeFile($base_file_aux."html");
  		FilesIO->copyFile($base_file_aux."tem", $joyFile);
		#FilesIO->removeFile($base_file_aux."tem");
    	if (FilesIO->isFile($joyFile) eq "true"){
      	 print $joyFile." created \n";
        }
    	else{
      		print "ERROR:: joy File $joyFile could not be created\n"
    	}
   }
   else{
     print "ERROR:: Joy $new_file NOT created\n";
   }  
}

}

######################### runJoy ################################
sub runFull {
  my $pdbFile      = $_[1];
  my $joyFile      = $_[2];
  
  
  if (FilesIO->isFile($joyFile) eq "false") {
    my $dir = FilesIO->getDirectory($pdbFile); 
    my $new_file = substr($joyFile, 0 , index($joyFile,".tem"));
    chdir($dir); 
  
   
    my $cmd = "joy --tem $pdbFile";  
    system($cmd);
  
    if (FilesIO->isFile($joyFile) eq "true"){
      print $joyFile."\n"; 
    }
    else{
      print "ERROR:: joy File $joyFile could not be created\n"
    }
   }
   else{
     print "File $joyFile already created\n";
   }  
}

######################### runJoy ################################
sub convertSecundaryToNumbers {
  my $sec_struct      = $_[1];
  my $alpha_weigth    = $_[2];
  my $beta_weigth     = $_[3];
  my $phi_weigth      = $_[4];
  my $loop_weigth     = $_[5];
  
  my @array  = split(//,$sec_struct);
  my $i;
  my $alpha  = "H";
  my $beta   = "E";
  my $posPhi = "P";
  my $posLoop = "C";
  my $posGap = "-";
  my $info   = "";
  
  for($i = 0; $i < scalar(@array); $i++){
   
    	if ($array[$i] eq $alpha) {
      		$info .= $alpha_weigth ;
   		}elsif ($array[$i] eq $beta){
       		$info .= $beta_weigth;  
    	}elsif ($array[$i] eq $posPhi){
      		$info .= $phi_weigth;  
    	}elsif ($array[$i] eq $posLoop){
      		$info .= $loop_weigth;  
    	}elsif ($array[$i] ne $posGap){
      		$info .= "1";  
    	}
    	else{
      		$info .= "0";  
    	}
     if ($i != (scalar(@array) - 1) ) {    
     	$info .= "\t";
     }  
  }
  return $info;
  
}
######################### runJoy ################################
sub convertAccessibilityToNumbers {
  my $sec_struct      = $_[1];
  my $acc_weigth	  = $_[2];
  my $no_acc_weigth	  = $_[3];
  
  my @array  = split(//,$sec_struct);
  my $i;
  my $acc_sol      = "T";
  my $no_acc_sol   = "F";
  my $posGap = "-";
  my $info   = "";
  
  for($i = 0; $i < scalar(@array); $i++){
  
    if ($array[$i] eq $acc_sol){
       $info .= $acc_weigth;  
    }elsif ($array[$i] eq $no_acc_sol){
      $info .= $no_acc_weigth;  
    }elsif ($array[$i] ne $posGap){
      $info .= "1";  
    }
    else{
      $info .= "0";  
    }
     if ($i != (scalar(@array) - 1) ) {    
     	$info .= "\t";
     }    
  }
  return $info;
  
}

######################### runJoy ################################
sub convertOiNumberToNumbers {
  my $sec_struct      = $_[1];
  
  my @array  = split(//,$sec_struct);
  my $i;
  my $posGap = "-";
  my $info   = "";
  
  for($i = 0; $i < scalar(@array); $i++){
  
    if ($array[$i] ne $posGap){
      $info .= $array[$i];  
    }
    else{
      $info .= "0";  
    }
    if ($i != (scalar(@array) - 1) ) {    
     	$info .= "\t";
     }    
  }
  return $info;
  
}

######################### runJoy ################################
sub getSeqHtml {
  my $file      = $_[1];
  
  my @array = FilesIO->lineFileToArray($file);
  my @array_line = ();
  my $entry;
  my $id_pdb = "";
  my $info ="";
  
  foreach $entry (@array){
  	@array_line = split(/ +/,$entry);
	if (scalar(@array_line) > 4){
		if ($array_line[1] eq "("){
			$id_pdb = $array_line[0];
			my @array_aux = split(/\)/,$entry);
			$info .= String->removeCaracter(String->trim($array_aux[1]), "\n");
		}	
	} 
  }
  return ($id_pdb. "\t". $info);
}


######################### runJoy ################################
sub getSeqFromHtml {
  my $seq      = $_[1];
  my $seq_html = $_[2];
  
  my @array_html = ();
  my $entry;
  my $info ="";
  my $j = 0;
  my $i = 0;
  
  @array_html = split(//,$seq_html);
  while ($j < scalar(@array_html)){

	if ($j < scalar(@array_html) && $array_html[$j] ne "<" && $array_html[$j] ne "&"){
		if ($array_html[$j] ne " "){
			$info .= $array_html[$j];
		}
		$j++;
	}

  	while ($array_html[$j] eq "<" && $j < scalar(@array_html)){
    		do{
			$j++;
		}while($array_html[$j] ne ">");
		$j++;
	}

	while ($array_html[$j] eq "&" && $j < scalar(@array_html)){
    		do{
			$j++;
		}while($array_html[$j] ne ";");
		$j++;
    	}	
  }

  my $begin = index(uc($info),uc($seq));
  my @array = split(//,$seq);
  my $end  = $begin + print scalar(@array);
  $j = 0;

  @array_html = split(//,$seq_html);
  my @array_seq = split(//,$seq_html);

  while ($i < scalar(@array_seq)){
	if ($j < scalar(@array_html) && $array_html[$j] ne "<" && $array_html[$j] ne "&"){
		if ($array_html[$j] ne " " && uc($array_seq[$i]) eq uc($array_html[$j]) ){
			$info .= $array_html[$j];
		}
		$j++;
	}

  	while ($array_html[$j] eq "<" && $j < scalar(@array_html)){
    		do{
			$j++;
		}while($array_html[$j] ne ">");
		$j++;
	}

	while ($array_html[$j] eq "&" && $j < scalar(@array_html)){
    		do{
			$j++;
		}while($array_html[$j] ne ";");
		$j++;
    	}	
  }



  return substr($info,$begin,scalar(@array));

  #return ($id_pdb. "\t". $info);
}







######################### runJoy ################################
sub formatSeqAligHtml {
  my $seq_align      = $_[1];
  my $seq_html       = $_[2];
  
  my @array_align  = split(//,$seq_align);
  my @array_html   = split(//,$seq_html);
    
  my $i;
  my $j = 0;
  my $posGap = "-";
  my $info   = "";
  my $tag = "";
  my $tag_closed = "false";
  
  for($i = 0; $i < scalar(@array_align); $i++){
    $tag = "";
    $tag_closed = "false";
    while ($array_html[$j] eq "<" && $j < scalar(@array_html)){
    	do{
		$info .= $array_html[$j];
		#print $array_html[$j]." ";
		if ($array_html[$j] eq "/"){
			$tag_closed = "true";
		}elsif ($array_html[$j] ne "<"){
			$tag .= $array_html[$j];
		}
		
		$j++;
	}while($array_html[$j] ne ">");
	$info .= $array_html[$j++];
	#print $tag."tttt\n";
	if ($tag_closed  eq "true"){
		$tag = "";
	}
	
    }
    
     while ($array_html[$j] eq "&" && $j < scalar(@array_html)){
    	do{
		$j++;
	}while($array_html[$j] ne ";");
	$j++;
	$info .= "<FONT CLASS=bgMY10>".$array_align[$i]."</FONT>";
    }
    
    
    if ($array_align[$i] ne $posGap) {
    	$info .= $array_html[$j++];
    }else{
	if ($tag ne ""){
		
		my $beginTag = "<$tag>";
		my $endTag = "</$tag>";
		
		if (index($tag, "FONT") >=0){
			$endTag = "</FONT>";	
		}
		$info .= $endTag;
		$info .= $posGap;
		$info .= $beginTag;
	}
	else{
		$info .= $posGap;
	}
    	
    }
  }   
  return $info;
  
}

######################### runJoy ################################
sub formatAligHtml {
	 my $align          = $_[1];
 	 my $len_align      = $_[2];
	 my $entry = "";
	 my @array_pos = ();
	 my $qtd_aa = 0;
	 my $qtd_aa_read = 0;
	 my $fim = "false";
	 my $first = "true";
	 my $info = "";
	 my $j = 0;
	 my $count = 0;
	
	

	my @array_align = split(/\n/,$align);
	while ($fim eq "false"){
		$count = 0;
		foreach $entry (@array_align){
  			my @array_line = split(/\t/,$entry);
			$info .= $array_line[0]."\t";
			
			my @array_seq = split(//,$array_line[1]);
			if ($first eq "true"){
				$j = 0;
			}
			else{
				$j = $array_pos[$count];	
			}
			
			while ($qtd_aa < $len_align && $j < scalar(@array_seq)){
				while ($array_seq[$j] eq "<" && $j < scalar(@array_seq)) {
    					do{
						$info .= $array_seq[$j++];
					}while($array_seq[$j] ne ">");
					$info .= $array_seq[$j++];
    				}
				$info .= $array_seq[$j++];
				$qtd_aa++;
				#print $qtd_aa."\n";
			}
			
			#guradar o j
			#print $count." ". scalar(@array_seq). "  $qtd_aa ".$j."\n";
			$array_pos[$count] = $j;
			$qtd_aa = 0;
			$count++;	
			
			$info.="<br>\n";
			if ($j >= scalar(@array_seq)){
				$fim = "true";
			}
			
		}
		$first = "false";
		$info .="\n<br><br>\n";
		print $info;
		$info = "";
		
	}
	return $info;
}

######################## runJoy ################################
sub getIdAli {
	my $path          = $_[1];
	my $start_res 	  = $_[2];
        my $start_chain   = $_[3];
	my $final_res	  = $_[4];
	my $final_chain	  = $_[5];
	my $entry;
	my $info = "";

	#print $start_res." ". $start_chain ." ". $final_res ." ". $final_chain ."\n";


	if (FilesIO->isFile($path) eq "true"){
		my @array = FilesIO->lineFileToArray($path);
		foreach $entry (@array){
			if ($entry =~ /^>/){
				$info .= $entry;
			}
			elsif ($entry =~ /^structure/){
				my @array_aux = split(/:/,$entry);
				$info .= $array_aux[0]. ":".$array_aux[1].":  ".$start_res." :".$start_chain.": ";
				$info .= $final_res." :".$final_chain;
				my $i = 6;
				while ($i < scalar(@array_aux)){
					$info.=":".$array_aux[$i];
					$i++;
				} 
			}	
		}
		return $info;
	}
	else{
		print "ERROR Align::Struct::Joy::getIdAli: File not found $path \n";
	}

}

######################## runJoy ################################
sub getHtmlFormatSec {
	my $amino        = $_[1];
	my $sec          = $_[2];
	my $out = $amino;

	if ($sec eq "E"){
		$out = $tag_html_in_Font_color_blue.$amino.$tag_html_out_Font;
	}elsif($sec eq "H"){
		$out = $tag_html_in_Font_color_red.$amino.$tag_html_out_Font;
	}elsif($sec eq "G"){
		$out = $tag_html_in_Font_color_green.$amino.$tag_html_out_Font;
	}else{
		$out = $amino;
	}

	return $out;
}

######################## runJoy ################################
sub getHtmlAccess {
	my $amino        = $_[1];
	my $acc          = $_[2];
	my $out = $amino;

	if ($acc eq "T"){
		$out = lc($amino);
	}elsif($acc eq "F"){
		$out = uc($amino);
	}

	return $out;
}

######################## runJoy ################################
sub getHBondNH {
	my $amino        = $_[1];
	my $str          = $_[2];
	my $out = $amino;

	if ($str eq "T"){
		$out = $tag_html_in_bold.$amino.$tag_html_out_bold;
	}
	return $out;
}

######################## runJoy ################################
sub getHBondCO {
	my $amino        = $_[1];
	my $str          = $_[2];
	my $out = $amino;

	if ($str eq "T"){
		$out = $tag_html_in_underline.$amino.$tag_html_out_underline;
	}
	return $out;
}

######################## runJoy ################################
sub getDissulBond {
	my $amino        = $_[1];
	my $str          = $_[2];
	my $out = $amino;

	if ($str eq "T"){
		$out = $tag_html_in_background.$amino.$tag_html_out_background;
	}
	return $out;
}

######################## runJoy ################################
sub getPosAngle {
	my $amino        = $_[1];
	my $str          = $_[2];
	my $out = $amino;

	if ($str eq "T"){
		$out = $tag_html_in_italic.$amino.$tag_html_out_italic;
	}
	return $out;
}


1
