package Pdb;
use strict;
if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use String::StringUtil;
use File::Files;
use Util::Number;
use Sequence::protein;


############################ sub clearFilePdb ###################################
sub formatFilePdb {
        my $file_pdb  	                = $_[1];
	my $id_pdb 			= $_[2];
	my $chain			= $_[3];
	
	
	my @pdb_file			= ();
	my @coord			= ();	
	my @chains			= ();
	my @info_chains			= ();
	my @info_sub_chains		= ();
	my $line;
	my $info_pdb			= "";
	my $info_file			= "";
	my @low_limite			= ();
	my @high_limite 		= ();
	my @limits			= ();
	my $index_caracter;
	my $new_count			= 0;
	my $old_count			= -1;
	my $i				= 0;
	my $chain_file			= "";
	my $pdb_file_aux		= "aux.pdb";
	my @array_line			= ();

	@info_chains = split(/,/,$chain); #divide as subcadeias
	foreach $line (@info_chains){
		if (index($line,":") >= 0){
			@info_sub_chains = split(/:/,$line);
			$chains[$i] = $info_sub_chains[0];
			#print "chain $i".$chains[$i]."\n";
			if (scalar(@info_sub_chains) > 1){
				@limits = split(/-/,$info_sub_chains[1]);
				$index_caracter = index($info_sub_chains[1], "-");
				$low_limite[$i]	 = $limits[0];#substr($info_sub_chains[1], 0 , $index_caracter);
			#	print "1 low  $i ".$low_limite[$i]."\n";
				$high_limite[$i] = $limits[1];#substr($info_sub_chains[1], $index_caracter+1,
                                #length($info_sub_chains[1])-1);
			#	print "1 high $i ".$high_limite[$i]."\n";
			}
			else{
				$low_limite[$i] = 0;
				$high_limite[$i] = 0;
			}
		}
		else{
			@info_sub_chains = split(/-/,$line);
			$chains[$i] = "-";
			#print "chain $i".$chains[$i]."\n";
			if (scalar(@info_sub_chains) > 1){
				$low_limite[$i]	= $info_sub_chains[0];
				$high_limite[$i] 	= $info_sub_chains[1];
			#	print "2 low  $i ".$low_limite[$i]."\n";
			#	print "2 high $i ".$high_limite[$i]."\n";
			}
			else{
				$low_limite[$i] = 0;
				$high_limite[$i] = 0;
			}			
		}
		$i = $i + 1;		
	}

	$i = 0;
	#print "path ".$dir_geral.$dir_pdb."pdb".$id_pdb.".ent"."\n";
	
	
	if (open(FILESEQ, $file_pdb)) {
		#if (open(FILEPDB,$dir_geral.$sample."/pdb/".$id_pdb.".pdb")){
		#	print "File was created\n";
		#	close FILEPDB;
		#}
		#else{
			@pdb_file = <FILESEQ>;
			foreach $line (@pdb_file){
				if ($line =~ /^ATOM/){
					@coord = split(/ +/, $line);
					@coord = &moveCoord($line);
					if ((($coord[4] eq $chains[$i]) || ($chains[$i] eq "-") ) && ($coord[2] eq "CA")){
                                          $new_count = $coord[5];
                                          if ($new_count >= $old_count){
                                            if ($low_limite[$i] == 0 && $high_limite[$i] ==0){
                                              $info_file .= $line;
                                               #print "1 $info_file\n";
                                            }
                                            else{
                                              if ($coord[5]>=$low_limite[$i] && $coord[5]<= $high_limite[$i]){
                                                $info_file .= $line;
						#print "2 $info_file\n";
                                               }
                                               else{
                                                  if ($coord[5] > $high_limite[$i] && $i < scalar(@high_limite)-1){
                                                    $i = $i + 1;
                                                   }
						}						
                                              }
                                              $info_pdb  = "";
                                              $old_count = $new_count;
                                            }
                                          }		
				}elsif (index($line,"HEADER") >=0  && index($line,"XXXX") >=0){
						$line =~ s/XXXX/$id_pdb/g;
						$info_file .= $line;
						#print "oi $line\n";
				}elsif ($line =~ /^SEQRES/){
					@array_line = split(/ +/, $line);
					if ($array_line[2] eq $chains[$i]){
						$info_file .= $line;
					}					
				}elsif ($line =~ /^HELIX/){
					@array_line = split(/ +/, $line);
					if ($array_line[4] eq $chains[$i]){
						$info_file .= $line;
					}					
				}elsif ($line =~ /^LINK/){
					@array_line = split(/ +/, $line);
					if ($array_line[3] eq $chains[$i]){
						$info_file .= $line;
					}					
				}elsif ($line =~ /(^[^TER.*])/ && $line =~ /(^[^HETATM.*])/ && $line =~ /(^[^CONECT.*])/){
						$info_file .= $line;
				}
					 
			} #for
			if ($chains[$i] ne "-"){
				$chain_file =$chains[$i]; 
			}
			FilesIO->saveFile(FilesIO->getDirectory($file_pdb).$id_pdb.".pdb",$info_file);	
			
		#} #if
	}#if
	close FILESEQ;
}

############################ sub moveCoord ###################################
sub moveCoord{
	my $line	= $_[0];

	my @coord = ();
	
	$coord[0] = substr($line, 0 , 4);
	$coord[1] = String->removeCaracter(substr($line, 4 , 7)," ");
	$coord[2] = String->removeCaracter(substr($line, 11 , 6)," ");
	$coord[3] = String->removeCaracter(substr($line, 17 , 3)," ");
	$coord[4] = String->removeCaracter(substr($line, 20 , 2)," ");
	$coord[5] = String->removeCaracter(substr($line, 22 , 4)," ");
	$coord[6] = String->removeCaracter(substr($line, 26 , 12)," ");
	$coord[7] = String->removeCaracter(substr($line, 38 , 8)," ");
	$coord[8] = String->removeCaracter(substr($line, 46 , 8)," ");
	$coord[9] = String->removeCaracter(substr($line, 54 , 6)," ");
	$coord[10] = String->removeCaracter(substr($line, 60 , 6)," ");
	return @coord;	
}

############################ sub moveCoord ###################################
sub removeCabecalho{
	my $path_pdb	= $_[1];
	my $line        = "";
	my $entry;
	
	if (FilesIO->isFile($path_pdb) eq "true") {
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){
				$line .= $entry;
			}
		}
	}
	else{
		print "ERROR Align::Struct::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}


############################ sub moveCoord ###################################
sub getCalpha{
	my $path_pdb	= $_[1];
	my $line        = "";
	my $entry;
	
	if (FilesIO->isFile($path_pdb) eq "true") {
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){
				my @coord = &getCoordPdb($entry);
				if (index($coord[2],"CA") >=0){
					$line .= $entry;
				}
			}
		}
	}
	else{
		print "ERROR Align::Struct::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub getChain{
	my $path_pdb	= $_[1];
	my $chain	= $_[2];
	my $line        = "";
	my $entry;
	my $count_chain = 0;
	
	
	if (FilesIO->isFile($path_pdb) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){	
				my @coord = &getCoordPdb($entry);
				if (index($coord[4],$chain) >=0) {
					$line .= $entry;
					$count_chain++;	
				}
			}
		}
		if ($count_chain == 0){
			print "ERROR Align::Struct::Pdb: Chain $chain not found in $path_pdb \n";
			exit;	
		}
	}
	else{
		print "ERROR Align::Struct::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub getInterval{
	my $path_pdb	= $_[1];
	my $start	= $_[2];
	my $end 	= $_[3];
	my $line        = "";
	my $entry;
	my $count_interval = 0;
	
	
	if (FilesIO->isFile($path_pdb) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){	
				my @coord = &getCoordPdb($entry);
				if (Number->removeNumber($coord[5]) >= Number->removeNumber($start) && Number->removeNumber($coord[5]) <= Number->removeNumber($end)) {
					$line .= $entry;
					$count_interval++;
				}
			}
		}
		if ($count_interval == 0){
			print "ERROR Align::Struct::Pdb: Interval {$start,$end} not found in $path_pdb \n";
			exit;	
		}
	}
	else{
		print "ERROR Align::Struct::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub removeMutant{
	my $path_pdb	= $_[1];
	
	my $line        = "";
	my $entry;
	my $count_mutant = 0;
	my $old_number = 0;
	my $mutant = "";
	my $older_amino = "";
	my $new_reg = "";
	my $reg_ok  = "false";
	my $read_mutant = "false";
	my $count_ca = 0;

	
	
	if (FilesIO->isFile($path_pdb) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){	
				my @coord = &getCoordPdb($entry);	
				if ($old_number != Number->removeNumber($coord[5]) && $old_number != 0) {#Save new reg
						
					my @array = split(/\n/, $new_reg);
					my $entry2;
					foreach $entry2 (@array) {
						my @coord2 = &getCoordPdb($entry2);
 						if (index($coord2[2],"CA") >= 0){
							$count_ca++
						}
					}
					if ($count_ca == 1){
						$line .= $new_reg;	
					}

					$new_reg = "";
					$read_mutant = "false";
					$reg_ok   = "false";
					$count_ca = 0;
				}
				
				if (Protein->isAmino($coord[3]) eq "false" && $reg_ok eq "false"){#Dealing problematic reg 
					if ($read_mutant eq "false") {
						$read_mutant = "true";
						$older_amino = $coord[3];
					}
					if ($older_amino eq $coord[3]) {
						$new_reg .= $entry;
					}
					$count_mutant++;	
				}				
				elsif (Number->isNumber($coord[5]) eq "true") {#Dealing reg no problem
					if ($read_mutant eq "true"){
						$new_reg = "";
						$count_mutant++;
						$read_mutant = "false";
					}
					$new_reg .= $entry;
					$reg_ok   = "true";
				}
				elsif ($reg_ok eq "false"){ #Dealing problematic reg (it is a mutant)
					$new_reg .= $entry;
					$read_mutant = "true";
					$count_mutant++;
				}
				$old_number = Number->removeNumber($coord[5]);	
			}	
		}
		
		if ($count_mutant == 0){
			print "WARNING Align::Struct::Pdb: None mutant found in $path_pdb \n";	
		}
	}
	else{
		print "ERROR Align::Struct::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}


# sub removeMutant{
# 	my $path_pdb	= $_[1];
# 	
# 	my $line        = "";
# 	my $entry;
# 	my $count_mutant = 0;
# 	my $old_number = 0;
# 	my $mutant = "";
# 	my $older_reg = "";
# 	my $new_reg = "";
# 
# 	
# 	
# 	if (FilesIO->isFile($path_pdb) eq "true") {		
# 		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
# 		foreach $entry (@array_pdb) {
# 			if ($entry=~ /^ATOM/){	
# 				my @coord = &getCoordPdb($entry);
# 				if (Number->isNumber($coord[5]) eq "true") {
# 					$line .= $entry;
# 					$count_mutant++;
# 					$old_number = $coord[5];
# 				}
# 				else {
# 					
# 					if ($old_number != Number->removeNumber($coord[5]) || $mutant eq $coord[5]) {
# 						my $new_number = Number->removeNumber($coord[5]);
# 						$entry =~ s/$coord[5]/$new_number /g;
# 						$line .= $entry;
# 						$count_mutant++;
# 						$old_number = Number->removeNumber($coord[5]);
# 						$mutant = $coord[5];
# 					}
# 				}
# 				
# 			}
# 		}
# 		if ($count_mutant == 0){
# 			print "WARNING Align::Struct::Pdb: None mutant found in $path_pdb \n";
# 				
# 		}
# 	}
# 	else{
# 		print "ERROR Align::Struct::Pdb: File not found $path_pdb \n";
# 		exit;
# 	}
# 	return $line;
# }

############################ sub getCoordPdb ###################################
#1 -  6        Record name     "ATOM  "
#7 - 11        Integer         serial        Atom serial number.
#13 - 16        Atom            name          Atom name.
#17             Character       altLoc        Alternate location indicator.
#18 - 20        Residue name    resName       Residue name.
#22             Character       chainID       Chain identifier.
#23 - 26        Integer         resSeq        Residue sequence number.
#27             AChar           iCode         Code for insertion of residues.
#31 - 38        Real(8.3)       x             Orthogonal coordinates for X in Angstroms.
#39 - 46        Real(8.3)       y             Orthogonal coordinates for Y in Angstroms.
#47 - 54        Real(8.3)       z             Orthogonal coordinates for Z in Angstroms.
#55 - 60        Real(6.2)       occupancy     Occupancy.
#61 - 66        Real(6.2)       tempFactor    Temperature factor.
#73 - 76        LString(4)      segID         Segment identifier, left-justified.
#77 - 78        LString(2)      element       Element symbol, right-justified.
#79 - 80        LString(2)      charge        Charge on the atom.
############################ sub getCoordPdb ###################################
sub getCoordPdb{
	my $line	= $_[0];
	
	my @coord = ();

	$coord[0] = String->trim(substr($line,0,4));	#ATOM
	$coord[1] = String->trim(substr($line,4,7));	#Atom serial number
	$coord[2] = String->trim(substr($line,11,6));	#Atom name
	$coord[3] = String->trim(substr($line,16,4));	#Residue name
	$coord[4] = String->trim(substr($line,20,2));   #Chain identifier
	$coord[5] = String->trim(substr($line,22,6));	#Residue sequence number.
	$coord[6] = String->trim(substr($line,28,10));	#Orthogonal coordinates for X in Angstroms.
	$coord[7] = String->trim(substr($line,38,8));	#Orthogonal coordinates for Y in Angstroms.
	$coord[8] = String->trim(substr($line,46,8));	#Orthogonal coordinates for Z in Angstroms.
	$coord[9] = String->trim(substr($line,54,6));	#Occupancy.
	$coord[10] = String->trim(substr($line,60,6));	#Temperature factor.
	$coord[11] = String->trim(substr($line,66,12));

	return @coord;

	
}



1