package Pdb;
use strict;
if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}
use String::StringUtil;
use File::Files;
use Util::Number;
use Sequence::protein;


############################ sub clearFilePdb ###################################
sub formatFilePdb {
    my $file_pdb  	        = $_[1];
	my $id_pdb 			= $_[2];
	my $chain			= $_[3];
	
	
	my @pdb_file			= ();
	my @coord			= ();	
	my @chains			= ();
	my @info_chains			= ();
	my @info_sub_chains		= ();
	my $line;
	my $info_pdb			= "";
	my $info_file			= "";
	my @low_limite			= ();
	my @high_limite 		= ();
	my @limits			= ();
	my $index_caracter;
	my $new_count			= 0;
	my $old_count			= -1;
	my $i				= 0;
	my $chain_file			= "";
	my $pdb_file_aux		= "aux.pdb";
	my @array_line			= ();

	@info_chains = split(/,/,$chain); #divide as subcadeias
	foreach $line (@info_chains){
		if (index($line,":") >= 0){
			@info_sub_chains = split(/:/,$line);
			$chains[$i] = $info_sub_chains[0];
			#print "chain $i".$chains[$i]."\n";
			if (scalar(@info_sub_chains) > 1){
				@limits = split(/-/,$info_sub_chains[1]);
				$index_caracter = index($info_sub_chains[1], "-");
				$low_limite[$i]	 = $limits[0];#substr($info_sub_chains[1], 0 , $index_caracter);
			#	print "1 low  $i ".$low_limite[$i]."\n";
				$high_limite[$i] = $limits[1];#substr($info_sub_chains[1], $index_caracter+1,
                                #length($info_sub_chains[1])-1);
			#	print "1 high $i ".$high_limite[$i]."\n";
			}
			else{
				$low_limite[$i] = 0;
				$high_limite[$i] = 0;
			}
		}
		else{
			@info_sub_chains = split(/-/,$line);
			$chains[$i] = "-";
			#print "chain $i".$chains[$i]."\n";
			if (scalar(@info_sub_chains) > 1){
				$low_limite[$i]	= $info_sub_chains[0];
				$high_limite[$i] 	= $info_sub_chains[1];
			#	print "2 low  $i ".$low_limite[$i]."\n";
			#	print "2 high $i ".$high_limite[$i]."\n";
			}
			else{
				$low_limite[$i] = 0;
				$high_limite[$i] = 0;
			}			
		}
		$i = $i + 1;		
	}

	$i = 0;
	#print "path ".$dir_geral.$dir_pdb."pdb".$id_pdb.".ent"."\n";
	
	
	if (open(FILESEQ, $file_pdb)) {
		#if (open(FILEPDB,$dir_geral.$sample."/pdb/".$id_pdb.".pdb")){
		#	print "File was created\n";
		#	close FILEPDB;
		#}
		#else{
			@pdb_file = <FILESEQ>;
			foreach $line (@pdb_file){
				if ($line =~ /^ATOM/){
					@coord = split(/ +/, $line);
					@coord = &moveCoord($line);
					if ((($coord[4] eq $chains[$i]) || ($chains[$i] eq "-") ) && ($coord[2] eq "CA")){
                                          $new_count = $coord[5];
                                          if ($new_count >= $old_count){
                                            if ($low_limite[$i] == 0 && $high_limite[$i] ==0){
                                              $info_file .= $line;
                                               #print "1 $info_file\n";
                                            }
                                            else{
                                              if ($coord[5]>=$low_limite[$i] && $coord[5]<= $high_limite[$i]){
                                                $info_file .= $line;
						#print "2 $info_file\n";
                                               }
                                               else{
                                                  if ($coord[5] > $high_limite[$i] && $i < scalar(@high_limite)-1){
                                                    $i = $i + 1;
                                                   }
						}						
                                              }
                                              $info_pdb  = "";
                                              $old_count = $new_count;
                                            }
                                          }		
				}elsif (index($line,"HEADER") >=0  && index($line,"XXXX") >=0){
						$line =~ s/XXXX/$id_pdb/g;
						$info_file .= $line;
						#print "oi $line\n";
				}elsif ($line =~ /^SEQRES/){
					@array_line = split(/ +/, $line);
					if ($array_line[2] eq $chains[$i]){
						$info_file .= $line;
					}					
				}elsif ($line =~ /^HELIX/){
					@array_line = split(/ +/, $line);
					if ($array_line[4] eq $chains[$i]){
						$info_file .= $line;
					}					
				}elsif ($line =~ /^LINK/){
					@array_line = split(/ +/, $line);
					if ($array_line[3] eq $chains[$i]){
						$info_file .= $line;
					}					
				}elsif ($line =~ /(^[^TER.*])/ && $line =~ /(^[^HETATM.*])/ && $line =~ /(^[^CONECT.*])/){
						$info_file .= $line;
				}
					 
			} #for
			if ($chains[$i] ne "-"){
				$chain_file =$chains[$i]; 
			}
			FilesIO->saveFile(FilesIO->getDirectory($file_pdb).$id_pdb.".pdb",$info_file);	
			
		#} #if
	}#if
	close FILESEQ;
}

############################ sub moveCoord ###################################
sub moveCoord{
	my $line	= $_[0];

	my @coord = ();
	
	$coord[0] = substr($line, 0 , 4);
	$coord[1] = String->removeCaracter(substr($line, 4 , 7)," ");
	$coord[2] = String->removeCaracter(substr($line, 11 , 6)," ");
	$coord[3] = String->removeCaracter(substr($line, 17 , 3)," ");
	$coord[4] = String->removeCaracter(substr($line, 20 , 2)," ");
	$coord[5] = String->removeCaracter(substr($line, 22 , 4)," ");
	$coord[6] = String->removeCaracter(substr($line, 26 , 12)," ");
	$coord[7] = String->removeCaracter(substr($line, 38 , 8)," ");
	$coord[8] = String->removeCaracter(substr($line, 46 , 8)," ");
	$coord[9] = String->removeCaracter(substr($line, 54 , 6)," ");
	$coord[10] = String->removeCaracter(substr($line, 60 , 6)," ");
	return @coord;	
}

############################ sub moveCoord ###################################
sub removeCabecalho{
	my $path_pdb	= $_[1];
	my $line        = "";
	my $entry;
	my $count_model	=0;
	my $i = 0;
	if (FilesIO->isFile($path_pdb) eq "true") {
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		
		while ($i <scalar(@array_pdb)){
			$entry = $array_pdb[$i];
			#if ($entry=~ /^TER/){
			#	return $line;
			#}
			if ($entry=~ /^ATOM/ || $entry=~ /^HETATM/){
				$line .= $entry;
			}
			elsif($entry=~ /^MODEL/){
				if ($count_model > 0){
					return $line;	
				}else{
					$count_model++;
				}	
			}
			$i++;
		}
	}
	else{
		print "ERROR Database::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub getFirstModel{
	my $path_pdb	= $_[1];
	my $line        = "";
	my $entry;
	my $count_model	=0;
	if (FilesIO->isFile($path_pdb) eq "true") {
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){
				$line .= $entry;
			}
			elsif($entry=~ /^ENDMDL/){
				return $line;	
			}
		}
	}
	else{
		print "ERROR Database::Pdb: File not found $path_pdb \n";
		#exit;
	}
	return $line;
}
############################ sub moveCoord ###################################
sub isHetatom{
	my $line	= $_[1];
	
	if ($line=~ /^HETATM/){
		return "true";
	}
	else{
		return "false";
	}
}

############################ sub moveCoord ###################################
sub isTer{
	my $line	= $_[1];
	
	if ($line=~ /^TER/){
		return "true";
	}
	else{
		return "false";
	}
}


############################ sub moveCoord ###################################
sub isConnect{
	my $line	= $_[1];
	
	if ($line=~ /^CONECT/){
		return "true";
	}
	else{
		return "false";
	}
}
############################ sub moveCoord ###################################
sub hasLigand{
	my $path_pdb	= $_[1];
	my $ligand	= $_[2];
	
	my $entry;

	if (FilesIO->isFile($path_pdb) eq "true") {
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {			
			if (length($entry) >= 66) {
				my @coord = &getCoordPdb($entry);
				if ($entry=~ /^HETATM/){
					if (index($coord[3],$ligand) >=0){
						return "true";
					}
				}
			}
		}
		return "false";
	}
	else{
		print "ERROR Database::Pdb: File not found $path_pdb \n";
		exit;
	}
}

############################ sub moveCoord ###################################
sub getProteinWithOutLigand{
	my $path_pdb	= $_[1];
	my $ligand	= $_[2];
	
	my $entry;
	my $info = "";

	if (FilesIO->isFile($path_pdb) eq "true") {
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if (length($entry) >= 66) {
				my @coord = &getCoordPdb($entry);
				if ($entry=~ /^ATOM/){
					if (index($coord[3],$ligand) < 0){
						$info .= $entry;
					}
				}
			}
		}
		return $info;
	}
	else{
		print "ERROR Database::Pdb: File not found $path_pdb \n";
		exit;
	}
}


############################ sub moveCoord ###################################
sub getCalpha{
	my $path_pdb	= $_[1];
	my $line        = "";
	my $entry;
	
	if (FilesIO->isFile($path_pdb) eq "true") {
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){
				my @coord = &getCoordPdb($entry);
				if (index($coord[2],"CA") >=0){
					$line .= $entry;
				}
			}
		}
	}
	else{
		print "ERROR Database::Pdb: File NOT found $path_pdb \n";
		#exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub getChain{
	my $path_pdb	= $_[1];
	my $chain	= $_[2];
	my $line        = "";
	my $entry;
	my $count_chain = 0;
	my $i = 0;
	
	
	if (FilesIO->isFile($path_pdb) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		while ($i < scalar(@array_pdb)) {
			$entry = $array_pdb[$i];
			if ($entry=~ /^ATOM/ || $entry=~ /^HETATM/){	
				my @coord = &getCoordPdb($entry);
				if (index(uc($coord[4]),uc($chain)) >=0) {
					$line .= $entry;
					$count_chain++;	
				}
			}elsif ($count_chain > 0 && $entry=~ /^TER/){
				$i = scalar(@array_pdb);
			}
			$i++;
		}
		if ($count_chain == 0){
			print "ERROR Database::Pdb:getChain Chain $chain not found in $path_pdb \n";
			exit;
		}
	}
	else{
		print "ERROR Database::Pdb:getChain File not found $path_pdb \n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub getInterval{
	my $path_pdb	= $_[1];
	my $start	= $_[2];
	my $end 	= $_[3];
	my $line        = "";
	my $entry;
	my $count_interval = 0;
	my $read_start = "false";
	my $stop = "false";
	
	if (FilesIO->isFile($path_pdb) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/ || $entry=~ /^HETATM/){	
				my @coord = &getCoordPdb($entry);
				if ($coord[5] eq $start){
					$read_start = "true";
				}
				if ($read_start eq "true" && Number->removeNumber($coord[5]) >= Number->removeNumber($start) && Number->removeNumber($coord[5]) <= Number->removeNumber($end)) {
					$line .= $entry;
					$count_interval++;
				}
				
				if ($coord[5] eq $end){
					$stop = "true";					
				}
				
				if ($coord[5] ne $end && $stop eq "true"){
					return $line;
				}
			}
		}
		if ($count_interval == 0){
			print "ERROR Database::Pdb: Interval {$start,$end} not found in $path_pdb \n";
			exit;	
		}
	}
	else{
		print "ERROR Database::Pdb: File not found $path_pdb \n";
		exit;
	}
	
	return $line;
}

############################ sub moveCoord ###################################
sub removeDuplicate{
	my $path_pdb	= $_[1];
	
	my $entry;
	my $old_number = -1000;
	my $line = "";
	
	if (FilesIO->isFile($path_pdb) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){	
				my @coord = &getCoordPdb($entry);	
				if ($old_number != Number->removeNumber($coord[5])) {#Save new reg
					$line .= $entry;
				}
				$old_number = Number->removeNumber($coord[5]);
			}
		}
	}					
	else{
		print "ERROR Database::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub getALLFromPdbCA{
	my $path_pdb_ca	= $_[1];
	my $path_pdb		= $_[2];
	
	my $entry;		my $entry2;
	my $old_number = -1000;
	my $old_atom = -1000;
	my $line = "";
	my $i;
	my $found_first;
	my $found_last;
	print "PPPPPPPPPPPPPPP oi $path_pdb\n";
	if (FilesIO->isFile($path_pdb_ca) eq "true" && FilesIO->isFile($path_pdb) eq "true") {	
		my @array_pdb_ca = FilesIO->lineFileToArray($path_pdb_ca);
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb_ca) {
			if ($entry=~ /^ATOM/){	
				my @coord_ca = &getCoordPdb($entry);	
				print "PPPPPPPPPPPPPPP ".$coord_ca[4]."\n";
				
				$i = 0;
				$found_first = "false";
				$found_last  = "false";
				while ($i < scalar(@array_pdb) && $found_last eq "false") {
					$entry2 = $array_pdb[$i];
					if ($entry2=~ /^ATOM/){
						my @coord = &getCoordPdb($entry2);	
						print "pp".$coord_ca[4]."\t".  $coord[4]."\n";
						print "pp".$coord_ca[5]."\t".  $coord[5]."\n";
						
						if ($coord_ca[4] eq  $coord[4] && $coord_ca[5] eq  $coord[5]) {
							$line .= $entry2;	
							$found_first = "true";
							print $entry2;
						}else{
							if ($found_first eq "true"){
								$found_last = "true";
							}
						}
					}
					$i++;
				}
				exit;
				print $i."\n"	;
			}
		}		
	}					
	else{
		print "ERROR Database::Pdb: File not found $path_pdb OR $path_pdb_ca\n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub getALLFromPdbCA2{
	my $path_pdb_ca	= $_[1];
	my $path_pdb		= $_[2];
	
	my $line = "";
	my @coord_ca;
	my @coord;
	my $i;
	my $j;
	my $found;
	my $stop;
	
	if (FilesIO->isFile($path_pdb_ca) eq "true" && FilesIO->isFile($path_pdb) eq "true") {	
		my @array_pdb_ca = FilesIO->lineFileToArray($path_pdb_ca);
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		$j = 0;
		
		while ($j < scalar(@array_pdb)) {
			if ($array_pdb[$j]=~ /^ATOM/){	
				my @coord_ca = &getCoordPdb($array_pdb[$j]);	
				$i = 0;
				$found = "false";
				#print "aaaaaa ".$array_pdb[$j];
				while ($i < scalar(@array_pdb_ca) && $found eq "false") {
					if ($array_pdb_ca[$i]=~ /^ATOM/){
						@coord = &getCoordPdb($array_pdb_ca[$i]);	
						if ($coord_ca[4] eq  $coord[4] && $coord_ca[5] eq  $coord[5]) {
							$found = "true";	
						}
					}
					$i++;
				}
				$stop = "false";
				print $coord[4]."\n";
				if ($found eq "true"){
					while ($j < scalar(@array_pdb) && $stop eq "false") {
						 @coord_ca = &getCoordPdb($array_pdb[$j]);
						 if ($coord_ca[4] eq  $coord[4] && $coord_ca[5] eq  $coord[5]) {
							if ($array_pdb[$j]=~ /^ATOM/){	
								$line .= $array_pdb[$j];	
								#print "PPPPPPPPPPPPPPP ".$array_pdb[$j];
							}
							$j++;
						}else{
							$stop = "true";
						}			
					}
				}
				
			}
			$j++;
		}		
	}					
	else{
		print "ERROR Database::Pdb: File not found $path_pdb OR $path_pdb_ca\n";
		exit;
	}
	return $line;
}

############################ sub moveCoord ###################################
sub removeMutant{
	my $path_pdb	= $_[1];
	
	my $line        = "";
	my $entry;
	my $count_mutant = 0;
	my $old_number = 0;
	my $mutant = "";
	my $older_amino = "";
	my $new_reg = "";
	my $reg_ok  = "false";
	my $read_mutant = "false";
	my $count_ca = 0;

	
	
	if (FilesIO->isFile($path_pdb) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
		foreach $entry (@array_pdb) {
			if ($entry=~ /^ATOM/){	
				my @coord = &getCoordPdb($entry);	
				if ($old_number != Number->removeNumber($coord[5]) && $old_number != 0) {#Save new reg
						
					my @array = split(/\n/, $new_reg);
					my $entry2;
					foreach $entry2 (@array) {
						my @coord2 = &getCoordPdb($entry2);
 						if (index($coord2[2],"CA") >= 0){
							$count_ca++
						}
					}
					if ($count_ca == 1){
						$line .= $new_reg;	
					}else{
						$line .= &removeAtom(1, $new_reg);	
					}

					$new_reg = "";
					$read_mutant = "false";
					$reg_ok   = "false";
					$count_ca = 0;
				}
				
				if (Protein->isAmino($coord[3]) eq "false" && $reg_ok eq "false"){#Dealing problematic reg 
					if ($read_mutant eq "false") {
						$read_mutant = "true";
						$older_amino = $coord[3];
					}
					if ($older_amino eq $coord[3]) {
						$new_reg .= $entry;
					}
					$count_mutant++;	
				}				
				elsif (Number->isNumber($coord[5]) eq "true") {#Dealing reg no problem
					if ($read_mutant eq "true"){
						$new_reg = "";
						$count_mutant++;
						$read_mutant = "false";
					}
					$new_reg .= $entry;
					$reg_ok   = "true";
				}
				elsif ($reg_ok eq "false"){ #Dealing problematic reg (it is a mutant)
					$new_reg .= $entry;
					$read_mutant = "true";
					$count_mutant++;
				}
				$old_number = Number->removeNumber($coord[5]);	
			}	
		}
		if ($new_reg ne ""){
			my @array = split(/\n/, $new_reg);
			my $entry2;
			foreach $entry2 (@array) {
				my @coord2 = &getCoordPdb($entry2);
 				if (index($coord2[2],"CA") >= 0){
					$count_ca++
				}
			}
			if ($count_ca == 1){
				$line .= $new_reg;	
			}
		}
		
		if ($count_mutant == 0){
			print "WARNING Database::Pdb: None mutant found in $path_pdb \n";	
		}
	}
	else{
		print "ERROR Database::Pdb: File not found $path_pdb \n";
		exit;
	}
	return $line;
}


############################ sub moveCoord ###################################
sub removeAtom{# return CA, only.
	my $number	= $_[0];
	my $new_reg	= $_[1];
	
	my @coord;
	my $entry;
	
	my @array = split(/\n/, $new_reg);
	
	foreach $entry (@array) {
		@coord = &getCoordPdb($entry);
		if (index($coord[2],"CA") >= 0){
			return $entry."\n";
		}
	}
	print "ERROR Database::Pdb: Register has not CA\n  $new_reg";
	#exit;
}

# sub removeMutant{
# 	my $path_pdb	= $_[1];
# 	
# 	my $line        = "";
# 	my $entry;
# 	my $count_mutant = 0;
# 	my $old_number = 0;
# 	my $mutant = "";
# 	my $older_reg = "";
# 	my $new_reg = "";
# 
# 	
# 	
# 	if (FilesIO->isFile($path_pdb) eq "true") {		
# 		my @array_pdb = FilesIO->lineFileToArray($path_pdb);
# 		foreach $entry (@array_pdb) {
# 			if ($entry=~ /^ATOM/){	
# 				my @coord = &getCoordPdb($entry);
# 				if (Number->isNumber($coord[5]) eq "true") {
# 					$line .= $entry;
# 					$count_mutant++;
# 					$old_number = $coord[5];
# 				}
# 				else {
# 					
# 					if ($old_number != Number->removeNumber($coord[5]) || $mutant eq $coord[5]) {
# 						my $new_number = Number->removeNumber($coord[5]);
# 						$entry =~ s/$coord[5]/$new_number /g;
# 						$line .= $entry;
# 						$count_mutant++;
# 						$old_number = Number->removeNumber($coord[5]);
# 						$mutant = $coord[5];
# 					}
# 				}
# 				
# 			}
# 		}
# 		if ($count_mutant == 0){
# 			print "WARNING Database::Pdb: None mutant found in $path_pdb \n";
# 				
# 		}
# 	}
# 	else{
# 		print "ERROR Database::Pdb: File not found $path_pdb \n";
# 		exit;
# 	}
# 	return $line;
# }

############################ sub getCoordPdb ###################################
#1 -  6        Record name     "ATOM  "
#7 - 11        Integer         serial        Atom serial number.
#13 - 16        Atom            name          Atom name.
#17             Character       altLoc        Alternate location indicator.
#18 - 20        Residue name    resName       Residue name.
#22             Character       chainID       Chain identifier.
#23 - 26        Integer         resSeq        Residue sequence number.
#27             AChar           iCode         Code for insertion of residues.
#31 - 38        Real(8.3)       x             Orthogonal coordinates for X in Angstroms.
#39 - 46        Real(8.3)       y             Orthogonal coordinates for Y in Angstroms.
#47 - 54        Real(8.3)       z             Orthogonal coordinates for Z in Angstroms.
#55 - 60        Real(6.2)       occupancy     Occupancy.
#61 - 66        Real(6.2)       tempFactor    Temperature factor.
#73 - 76        LString(4)      segID         Segment identifier, left-justified.
#77 - 78        LString(2)      element       Element symbol, right-justified.
#79 - 80        LString(2)      charge        Charge on the atom.
############################ sub getCoordPdb ###################################
sub getCoordPdb{
	my $line	= $_[0];
	
	my @coord = ();

	$coord[0] = String->trim(substr($line,0,6));	#ATOM
	$coord[1] = String->trim(substr($line,6,5));	     #Atom serial number
	$coord[2] = String->trim(substr($line,11,4));	#Atom name
	$coord[3] = String->trim(substr($line,17,3));	#Residue name
	$coord[4] = String->trim(substr($line,20,2));     #Chain identifier
	$coord[5] = String->trim(substr($line,22,6));	#Residue sequence number.
	$coord[6] = String->trim(substr($line,28,10));	#Orthogonal coordinates for X in Angstroms.
	$coord[7] = String->trim(substr($line,38,8));	#Orthogonal coordinates for Y in Angstroms.
	$coord[8] = String->trim(substr($line,46,8));	#Orthogonal coordinates for Z in Angstroms.
	$coord[9] = String->trim(substr($line,54,6));	#Occupancy.
	$coord[10] = String->trim(substr($line,60,6));	#Temperature factor.
	$coord[11] = String->trim(substr($line,66,12));
	return @coord;	
}

############################ sub getCoordPdb ###################################
sub getGeneralCoordPdb{
	my $line	= $_[1];
	
	my @coord = ();

	$coord[0] = String->trim(substr($line,0,6));	#ATOM
	$coord[1] = String->trim(substr($line,6,5));    #Atom serial number
	$coord[2] = String->trim(substr($line,11,4));	#Atom name
	$coord[3] = String->trim(substr($line,17,3));	#Residue name
	$coord[4] = String->trim(substr($line,20,2));   #Chain identifier
	$coord[5] = String->trim(substr($line,22,6));	#Residue sequence number.
	$coord[6] = String->trim(substr($line,28,10));	#Orthogonal coordinates for X in Angstroms.
	$coord[7] = String->trim(substr($line,38,8));	#Orthogonal coordinates for Y in Angstroms.
	$coord[8] = String->trim(substr($line,46,8));	#Orthogonal coordinates for Z in Angstroms.
	$coord[9] = String->trim(substr($line,54,6));	#Occupancy.
	$coord[10] = String->trim(substr($line,60,6));	#Temperature factor.
	$coord[11] = String->trim(substr($line,66,12));
	return @coord;	
}

############################ sub getCoordPdb ###################################
sub compareCoordPdb{
	my $line1	= $_[1];
	my $line2	= $_[2];
	my $count_eq = 0;
	
	my @pdb_array1 = Pdb->getGeneralCoordPdb($line1);
	my @pdb_array2 = Pdb->getGeneralCoordPdb($line2);
	
	if (scalar(@pdb_array1) != scalar(@pdb_array2)){
		return 0;	
	}
	for (my $i = 0; $i < scalar(@pdb_array1); $i++){
		if ($pdb_array1[$i] ne "\n" && $pdb_array1[$i] eq $pdb_array2[$i]){
			$count_eq++;
		}
	}
	return $count_eq;

}
############################ sub getPDBsFromSite ###################################
sub downloadPDBs{
	my $id_pdb 		= $_[1];
    my $dir_out		= $_[2];
    my $log_file	= $_[3];
    
    
    my $id_pdb_final = $id_pdb.".pdb1.gz";
    my $path =  $dir_out. $id_pdb_final;
    my $cmd = "wget -d --no-http-keep-alive --ignore-length ftp://ftp.rcsb.org/pub/pdb/data/biounit/coordinates/all/$id_pdb_final -O $path";
    system($cmd);
    
    if ($log_file ne ""){
    	if (FilesIO->isFile($path) eq "true"){
    		FilesIO->apendFile($log_file, "File $path created\n" ); 
    	}
    	else{
    		FilesIO->apendFile($log_file, "File $path not created\n" ); 
    	}
    }
}

############################ sub getPDBsFromSite ###################################
sub downloadPDBsHttp{
	my $id_pdb 		= $_[1];
    my $dir_out		= $_[2];
    my $log_file	= $_[3];
    
    
    my $id_pdb_final = $id_pdb.".pdb.gz";
    my $path =  $dir_out. $id_pdb_final;
    my $cmd = "wget -d --no-http-keep-alive --ignore-length http://www.rcsb.org/pdb/files/$id_pdb_final -O $path";
    system($cmd);
    
    if ($log_file ne ""){
    	if (FilesIO->isFile($path) eq "true"){
    		FilesIO->apendFile($log_file, "File $path created\n" ); 
    	}
    	else{
    		FilesIO->apendFile($log_file, "File $path not created\n" ); 
    	}
    }
}

############################ sub getPDBsFromSite ###################################
sub downloadPDBsDivided{
	my $id_pdb 		= $_[1];
    	my $dir_out		= $_[2];
    	my $log_file		= $_[3];
	
    
    
   	my $id_pdb_final = "pdb".$id_pdb.".ent.Z";
    	my $fold = substr($id_pdb, 1, 2);
    	my $path =  $dir_out. $id_pdb_final;

    	if (FilesIO->isFile($path) eq "true"){
		FilesIO->apendFile($log_file, "File $path already downloaded\n" ); 
	}
	else{	
    		my $cmd = "wget -d --no-http-keep-alive --ignore-length ftp://ftp.rcsb.org/pub/pdb/data/structures/divided/pdb/$fold/$id_pdb_final -O $path";
    		print $cmd;  	
		system($cmd);
    
    		if (FilesIO->isFile($path) eq "true"){
    			FilesIO->apendFile($log_file, "File $path downloaded\n" ); 
    		}
    		else{
			FilesIO->apendFile($log_file, "File $path not downloaded\n" ); 
			
    		}
	}
	return $id_pdb;
}
############################ sub descompactaPDBs ###################################
sub loadObsoletePDBsList{
	my $pdb_obsolete_file 		= $_[1];

	my @array_file; my @array_line; 
	my $entry;
	my %hash_pdbs = ();

	if (FilesIO->isFile($pdb_obsolete_file) eq "true"){
		@array_file =  FilesIO->lineFileToArray($pdb_obsolete_file);
		foreach $entry (@array_file) {
			@array_line = split(/ +/, $entry);
			
			if (scalar(@array_line) >= 4){
				$hash_pdbs{lc($array_line[2])} = String->removeCaracter(lc($array_line[3]), "\n");
			}
		}
		return %hash_pdbs;	
	}else{
		print "ERROR: File NOT found $pdb_obsolete_file\n";
	}
	
}

############################ sub descompactaPDBs ###################################
sub descompactaPDBs{
	my $file 		= $_[1];
	my $new_file 	= $_[2];
  
	if (FilesIO->isFile($new_file) eq "true"){
		print "File $file was already descompacted\n"
	}elsif (FilesIO->isFile($file) eq "true"){
		my $cmd = "gzip -d $file";
    	system($cmd);  
    	if (FilesIO->isFile($new_file) eq "true"){
			print "File $file descompacted\n";
			#FilesIO->removeFile($file);
		}
			
    }else{
    	print "ERROR:: File $file NOT Found\n";    	
    }
    
        
 	
}

############################ sub descompactaPDBs ###################################
# sub extractActiveSite{
# 	my $id_pdb 		= $_[1];
#     	my $dir_pdb		= $_[2];
# 	my $log_file		= $_[3];
# 	my $entry;
# 	my $pdb_file = $dir_pdb."pdb".$id_pdb.".ent";
# 
# 	if (FilesIO->isFile($pdb_file) eq "true"){
#     		my @array_pdb = FilesIO->lineFileToArray($pdb_file);
# 		foreach $entry (@array_pdb) {
# 			if ($entry=~ /^SITE/){
# 				
# 			}	
# 		}
#     	}
#     	else{
#     		FilesIO->apendFile($log_file, "File $pdb_file NOT found \n" ); 
#     	}   
# 	
# }

############################ sub descompactaPDBs ###################################
sub extractSeqFromPDB{
	my $file_ca 		= $_[1];
	my $kind_capital	= $_[2]; #Maiuscula 1 Minuscula 2

	my $entry;
	my $seq	= "";
	my $amino;

	
	if (FilesIO->isFile($file_ca) eq "true") {		
		my @array_pdb = FilesIO->lineFileToArray($file_ca);
		foreach $entry (@array_pdb) {
			my @coord = &getCoordPdb($entry);
			$amino = Protein->getSimbol($coord[3]);
			if ($kind_capital == 1){
				$amino = uc($amino);
			}
			$seq .=$amino;
		}	
	}
	else{
		print "ERROR Database::Pdb:extractSeqFromPDB File not found $file_ca \n";
		exit;
	}
	return $seq;
}

############################ sub descompactaPDBs ###################################
sub loadPDBClean{
	my $file 		= $_[1];
	
	my @array_pdb = ();		my @array_line;		
	my $info;				my $entry;
	my @coord;
	
	if (FilesIO->isFile($file) eq "true") {	
		@array_line = FilesIO->lineFileToArray($file);
		foreach $entry (@array_line) {	
			@coord = &getCoordPdb($entry);
			if (scalar(@coord) > 6){
				$info = $coord[3]."\t".$coord[5];
				push(@array_pdb, $info);
			}else{
				print "ERROR Database::Pdb:loadPDBClean File $file format invalid \n";
				exit;
			}			
		}
		return @array_pdb;
	}else{
		print "ERROR Database::Pdb:loadPDBClean File not found $file \n";
		exit;
	}	
}

1