package Dataset;

if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use File::Files;
use Util::Hash;

my $PROG_NAME = "PerlLib::Dataset::dataset.pm";



############################ sub isDirectory ####################################
sub createkFold {
	my $file		= $_[1];
	my $K			= $_[2];
	my $outputFile	= $_[3];
	my $verbose		= $_[4];
	
	my $infoTest = "";			my $infoTrain = "";
	my $numFold;
	
	my @array = FilesIO->fileToArray($file, "\t", 0);
	my $startTest 	= 0;
	
	if (scalar(@array) % $K > 0){
		$numFold = int(scalar(@array)/$K) + 1;
	}else{
		$numFold = int(scalar(@array)/$K);
	}
	
	my $endTest 	= $numFold;
	
	#print "$startTest $endTest\n";
	
	for (my $j = 0; $j <$K; $j++){
		
		for (my $i = 0; $i <scalar(@array); $i++){
			if ($i>=$startTest && $i < $endTest){
				$infoTest .= $array[$i]."\n";
			}else{
				$infoTrain .= $array[$i]."\n";
			}
		}
		FilesIO->saveFile($outputFile.".test.".($j+1), $infoTest, $verbose);
		FilesIO->saveFile($outputFile.".train.".($j+1), $infoTrain, $verbose);
		$infoTest = ""; $infoTrain = "";
		$startTest = $endTest; $endTest = $endTest + $numFold;		
	}
	
}



