use strict;


if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}
use File::Files;
use Sequence::sequence;


my $arg1 = "";
my $arg2 = "";
my $arg3 = "";
my $arg4 = "";
my $arg5 = "";
my $arg6 = "";
my $kind = "1";
my $verbose = "false";

my $PROG_NAME = "PerlLib::Sequences::sequences.pl";


&getParameters;
&checkParameters;
&main;


############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-arg1" || $ARGV[$counter] eq "-a1"){
			$arg1 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-verbose" || $ARGV[$counter] eq "-v"){
			$verbose = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg2" || $ARGV[$counter] eq "-a2"){
			$arg2 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-kind" || $ARGV[$counter] eq "-k"){
			$kind = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg3" || $ARGV[$counter] eq "-a3"){
			$arg3 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg4" || $ARGV[$counter] eq "-a4"){
			$arg4 = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-arg5" || $ARGV[$counter] eq "-a5"){
			$arg5= $ARGV[$counter+1];
		}	
	}
}
############################ sub checkParameters ##################################
sub checkParameters {
	print "\n=============================================\n";
	print "Cheking Parameters $PROG_NAME\n";

	String->isEmpty($kind, "ERROR::".$PROG_NAME.":: Parameter -kind is required ");
	String->isEqual($verbose,"true,false", "ERROR:: verbose = [true, false]");

	print "-verbose = $verbose\n";
	print "-kind = $kind\n";
	print "ok\n";	
}	

############################ sub main ##################################
sub main{

	if ($kind == 1){
		#arg1 = fasta file; arg2=outputFile; 
		Sequences->getSizeSequence($arg1, $arg2, $verbose);
	}
}




1
