package String;
use strict;


if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use String::StringUtil;

############################ sub isDirectory ####################################
sub isEmpty {
	my $name		= $_[1];
	my $msg			= $_[2];
	
	if ($name eq ""){
		print $msg."\n";
		exit;
	}
}

############################ sub isDirectory ####################################
sub removeString {
	my $str			= $_[1];
	my $strRemove	= $_[2];
	
	$str =~ s/$strRemove//g;

	return $str;
}


############################ sub isDirectory ####################################
sub isEqual {
	my $name		= $_[1];
	my $value		= $_[2];
	my $msg			= $_[3];
	my $entry;
	my $count = 0;
	
	my @array = split(/,/,$value);
	
	foreach $entry (@array){
		if ($name eq $entry){
			$count++;
		}
	}
	
	if ($count == 0){
		print $msg."\n";
		exit;
	}
}


############################ sub getCaracter ###################################
sub gap {
	my $num_gaps 	= $_[1];
	
	my $count 	= 0;
	my $gaps	= "";
	while ($count <$num_gaps){
		$gaps = $gaps . " ";
		$count = $count + 1;
	}
	return $gaps;	
}

############################ sub getCaracter ###################################
sub createStrCaracter {
	my $num_caracter 	= $_[1];
	my $caracter 		= $_[2];
	
	my $count 	= 0;
	my $string	= "";
	while ($count < $num_caracter){
		$string = $string . $caracter;
		$count = $count + 1;
	}
	return $string;	
}

############################ sub getCaracter ###################################
sub removeCaracter {
	my $word 	= $_[1];
	my $car 	= $_[2];
	my $new_word = "";
	
	if (defined($word)){
		my $i;
		#print "word--$word--\n";
		my @array = split(//, $word);
		#print scalar(@array)."\n";
		for($i = 0 ; $i < scalar(@array) ; $i++){
			#print "array[$i]=$array[$i]\n";
			if ($array[$i] ne $car){
				$new_word .= $array[$i];
			}
		}
	}	
	return $new_word;
}

############################ sub getCaracter ###################################
sub removeSpaceExcess {
	my $word 	= $_[1];
	
	my @array = split(/ +/, $word);
	my $new_word = "";
	my $i;
	for($i = 0 ; $i < scalar(@array) ; $i++){
		if ($array[$i] ne ""){
			$new_word .= $array[$i];
			if ($i !=  scalar(@array) - 1){
				$new_word .= " ";
			}
		}		
	}
	return $new_word;
}

############################ sub getCaracter ###################################
sub getSubStringToFrom {
	my $word 		= $_[1];
	my $car_start 	= $_[2];
	my $car_end 	= $_[3];
	
	my @array = split(//, $word);
	my $new_word = "";
	my $start = "false";
	my $i;
	for($i = 0 ; $i < scalar(@array) ; $i++){
		if ($array[$i] eq $car_start){
			$start = "true";
		}
		if ($start eq "true"){
			$new_word .= $array[$i];
		}
		if ($array[$i] eq $car_end){
			$start = "false";
		}
	}
	return $new_word;
}



############################ sub getCaracter ###################################
sub getSubStringInterval {
	my $word 		= $_[1];
	my $car_start 	= $_[2];
	my $car_end		= $_[3];
	
	my $start 	= "false";
	my $end 	= "false";
	my $new_word = "";
	
	my @array = split(//,$word);
	my $i;
	for($i = 0 ; $i < scalar(@array) ; $i++){
		if ($array[$i] eq $car_start){
			$start = "true";
		}elsif ($array[$i] eq $car_end){
			$end = "true";
		}elsif($start eq "true" && $end eq "false"){
			$new_word .=$array[$i];
		}
	}
	return $new_word;
}



############################ sub getCaracter ###################################
sub removeEndLine {
	my $word 	= $_[1];
	my $car 	= $_[2];
	
	my @array = split(//,$word);
	my $new_word = "";
	my $i;
	for($i = 0 ; $i < scalar(@array) ; $i++){
		if ($array[$i] ne "\n"){
			$new_word .= $array[$i];
		}
	}
	return $new_word;
}

############################ sub getCaracter ###################################
sub removeAnyCaracterByPosition {
	my $word 	= $_[1];
	my $pos_car 	= $_[2];
	
	my $new_word = "";
	my $i;
	for($i = $pos_car ; $i < length($word) ; $i++){
		$new_word = $new_word.substr($word,$i,1);	
	}
	return $new_word;
}

############################ sub trim ###################################
sub trim {
	my $word 	= $_[1];
	my $car 	= " ";
	my $car_str;
	
	$word =~ s/ +//g;
	return $word;
}

############################ sub trim ###################################
sub fullTrim {
	my $word 	= $_[1];
	my $car 	= " ";
	
	my @array = split(//,$word);
	my $new_word = "";
	my $i = 0;
	
	for ($i=0; $i< scalar(@array); $i++){
		if ($array[$i] ne $car){
			$new_word .= $array[$i];
			#print $array[$i];
		}
		$i++;
	}
	return $new_word;
}

############################ sub getCaracter ###################################

sub getCaracter {
	my $word 	= $_[1];
	my $caracter	= $_[2];

	my $indice;
	$indice = index($word, $caracter);
	
	if ($indice > 0 ){
		return substr($word, 0, $indice);
	}
	return $word;
	
}

############################ sub getCaracter ###################################

sub replace {
	my $str	 		= $_[1];
	my $word1		= $_[2];
	my $word2		= $_[3];


	if (index($str, $word1) >=0){
		$str =~ s/$word1/$word2/g;
	}else {
		print "Dont replace $word1 by $word2 in $str\n";
	}
	return $str;
}

############################ sub getCaracter ###################################

sub replace2 {
	my $str	 		= $_[1];
	my $word1		= $_[2];
	my $word2		= $_[3];

	my @array = split(//, $str);
	my $entry;
	my $info = "";
	
	foreach $entry (@array){
		if ($entry eq $word1){
			$info .= $word2;
		}else{
			$info .= $entry;
		}
	}

	return $info;
}

############################ sub getCaracter ###################################

sub compareLineByLine {
	my $word1		= $_[1];
	my $word2		= $_[2];

	my @array1 = split(/\n/,$word1);
	my @array2 = split(/\n/,$word2);
	my $count_diff = 0;
	for (my $i =0; scalar(@array1); $i++){
		if ($array1[$i] ne $array2[$i]){
			$count_diff++;
		}
	}
	return $count_diff;
}

############################ sub lineFileToString ###################################
sub StringToArray2d {
	my $str 	= $_[1];	
	my $sepRow 	= $_[2];
	my $sepCol 	= $_[3];		
	my @array2d = ();
	if (!defined($str)){
		return @array2d;
		#exit;
	}

	my @array 	= split(/$sepRow/, $str);
	
	my @array_aux;
	for (my $i =0; $i < scalar(@array); $i++){
		@array_aux = split(/$sepCol/, $array[$i]);
		for (my $j =0; $j< scalar(@array_aux); $j++){
			$array2d[$i][$j] = $array_aux[$j];
		}
	}
	return @array2d;	
}

############################ sub lineFileToString ###################################
sub sort {
	my $str 	= $_[1];	
	my $sepStr 	= $_[2];
	my $sepNew 	= $_[3];

	
	my @array_aux = split(/$sepStr/, $str);
	@array_aux = sort(@array_aux);
	return Array->printArray($sepNew, \@array_aux);
	
}

############################ sub lineFileToString ###################################
sub StringToArray {
	my $str 	= $_[1];	
	my $sep 	= $_[2];
	
	my @array = ();
	
	if ($sep eq " " || $sep eq " +"){
		 @array = split(/ +/, $str);
	}else{
		@array 	= split(/$sep/, $str);
	}
		
	my @array_ret = ();
	my $j = 0;
	for (my $i =0; $i < scalar(@array); $i++){
		if ($array[$i] ne "" && $array[$i] ne "\n"){
			$array_ret[$j] = String->removeCaracter($array[$i], "\n");
			#print "==> $j ".$array_ret[$j]."\n";
			$j++;
		}
	}
	
	return @array_ret;	
}

############################ sub lineFileToString ###################################
sub getElementArrayLine {
	my $str 	= $_[1];
	my $sep		= $_[2];
	my $element	= $_[3];		
	my @array2d = ();
	

	my @array 	= split(/$sep/, $str);
	
	if (scalar(@array) > 0){
		return String->removeCaracter($array[$element], "\n");
	}else {
		print "ERROR::String::getElementArrayLine:: $str do not have $sep\n";
		exit;
	}
	
	return @array2d;
	
}

############################ sub saveFile ###################################
sub stringToHash {
	my $str		 	= $_[1];
	my $sepRow 		= $_[2];
	my $sepCol 		= $_[3];
	my $field_key 	= $_[4];
	my $range	 	= $_[5];
	
	if (!defined($range)){
		$range = 0;
	}
	
	my @array_file 	= ();
	my @array_aux 	= ();
	my %hash = ();
	my $line; my $info;
	my $key;

	my @array 	= split(/$sepRow/, $str);

	my @array2d = ();

	for (my $i =0; $i < scalar(@array); $i++){
		@array_aux = split(/$sepCol/, $array[$i]);
		
		if ($range != 0){
			$key = substr($array_aux[$field_key],0, $range);
		}else{
			$key = $array_aux[$field_key];
		}
		
		if (!exists($hash{$key})){
			$hash{$key} = $array[$i]."\n";
		}else{
			$hash{$key} .= $array[$i]."\n";
		}	
	}
	return %hash;
}


############################ sub saveFile ###################################
sub stringToHashConcatField {
	my $str		 	= $_[1];
	my $sepRow 		= $_[2];
	my $sepCol 		= $_[3];
	my $fields_key 	= $_[4];
	
	
	my @array_file 	= ();
	my @array_aux 	= ();
	my %hash = ();
	my $line; my $info;
	my $field_key;

	my @array 	= split(/$sepRow/, $str);
	my @array_fields = split(/:/, $fields_key);

	my @array2d = ();

	for (my $i =0; $i < scalar(@array); $i++){
		@array_aux = split(/$sepCol/, $array[$i]);
		$field_key = "";
		for (my $j =0; $j < scalar(@array_fields); $j++){
			$field_key .= $array_aux[$array_fields[$j]];
			if ($j < (scalar(@array_fields) -1)){
				$field_key .= "_";
			}
		}
		if (!exists($hash{$field_key})){
			$hash{$field_key} = $array[$i]."\n";
		}else{
			$hash{$field_key} .= $array[$i]."\n";
		}	
	}
	return %hash;
}


############################ sub lineFileToString ###################################
sub groupStringToArray2d {
	my $str 		= $_[1];	
	my $sepRow 		= $_[2];
	my $sepCol 		= $_[3];	
	my $colToGroup 	= $_[4];
	
	my $pattern; my $old_pattern = ""; my $info = ""; my $count =0;
	
	my @array 	= split(/$sepRow/, $str);
	my @array_aux;
	my @array_group = ();
		
	for (my $i =0; $i < scalar(@array); $i++){
		@array_aux = split(/$sepCol/, $array[$i]);
		$pattern = $array_aux[$colToGroup];
		
		if ($pattern ne $old_pattern && $old_pattern ne ""){
			$array_group[$count][0] = $old_pattern;
			$array_group[$count][1] = $info;
			$count++;
			$info = ""; 
		}
		$info .= $array[$i].$sepRow;
		$old_pattern = $pattern;
	}
	$array_group[$count][0] = $old_pattern;
	$array_group[$count][1] = $info;
	
	return @array_group;

}
	
	
############################ sub getCaracter ###################################

sub readVariable {
	my $word1		= $_[1];
	my $variable = "";
	
	my $pos_start;
	$pos_start = index($word1, "\${");
	my $pos_end;
	if ($pos_start >= 0){
		$pos_start +=2;
		$pos_end = index($word1, "}");
		my @array1 = split(//,$word1);
		for (my $i = $pos_start; $i< $pos_end; $i++){
			$variable .= $array1[$i];
		}	
		if (exists($ENV{$variable})){
			my $before = substr($word1, 0, $pos_start -2);
			my $after =  substr($word1, $pos_end +1, length($word1)); 
			$word1 = $before.$ENV{$variable}.$after;
			if (index($word1, "\${") >=0){
				String->readVariable($word1);
			}
			else{
				return $word1;
			}
	
		}else{
			print "ERROR:: Variable $variable NOT found\n";
			exit;
		}
	}else{
		return $word1;
	}
	
}


############################ sub saveFile ###################################
sub removeRepeated {
	my $info_str   	= $_[1];
	my $sepRow 		= $_[2];
	my $sepCol 		= $_[3];
	my $field_key 	= $_[4];
	
	
	my @array_file 	= ();
	my @array_aux 	= ();
	my %hash = ();
	my $line; my $info; my $info_new;

	@array_file = split(/$sepRow/, $info_str);	
	
	foreach $line (@array_file){
		@array_aux = split(/$sepCol/, $line);
		$info = "";
		for (my $i =0; $i< scalar(@array_aux); $i++){
			$info .= $array_aux[$i];
			if ($i != scalar(@array_aux)-1){
				$info .= $sepCol;
			}else{
				$info .= $sepRow;
			}
		}			 
		if (!exists($hash{$array_aux[$field_key]})){
			$hash{$array_aux[$field_key]} = $info;
		}
	}
	
	while ( my ($key, $value) = each(%hash) ) {
       $info_new .= $value;
    }
	
	return $info_new;
}


############################ sub getCaracter ###################################
sub getCaracterPosition {
	my $str			 	= $_[1];
	my $caracter 		= $_[2];
	
	my @array = split(//, $str);
	my @array_ret = ();
		
	for (my $i =0; $i < scalar(@array); $i++){
		if ($array[$i] eq $caracter){
			push(@array_ret, $i);
		}
	}
	return @array_ret;	
}

1