package HTML;

if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}


use String::StringUtil;
use File::Files;
use Util::HTML;


my $BR = "</br>";
my $SPACE = "&nbsp;";

my @colors  = ('red',  'darkcyan', 'green',  'black', 'orange',  'hotpink',  'brown', 'goldenrod', 'pastelgreen', 'darkblue', 'lightpurple',   'turquoise', 'lightgrey', 
			   'burgundy', 'darkpurple','forestgreen', 'grassgreen', 'darkgrey',  'blueviolet', 'olive', 'orchid', 'slategray', 'yellowgreen', 'silver', 'skyblue', 'seagreen',
			   'salmon', 'tomato', 'violet', 'peru', 'orangered', 'burlywood');
			   
############################ sub getCSS ##################################
sub getColors{
	return @colors;
}

############################ sub getCSS ##################################
sub getHeading{
	my $number    	= $_[1];
	my $text   		= $_[2];
	
	return "<h$number>$text</h$number>";
}
############################ sub getCSS ##################################
sub multiplesSpaceBr{
	my $number    = $_[1];
	my $info = "";
	
	for (my $i =0; $i <$number; $i++){
		$info .= HTML->getSPACE().HTML->getBR();
	}	
	return $info;
}
############################ sub getCSS ##################################
sub multiplesSpace{
	my $number    = $_[1];
	my $info = "";
	
	for (my $i =0; $i <$number; $i++){
		$info .= HTML->getSPACE();
	}	
	return $info;
}

############################ sub getCSS ##################################
sub showPage{
	my $cpage	  = $_[1];
	my $totalPage = $_[2];
	my $previous = 0;			my $info = "";
	my $sizeButton = 5;
	
	if ($cpage !=1){
		$previous = $cpage -1;
		$info .= HTML->createButton("page", $previous, $sizeButton).HTML->getSPACE()."|".HTML->getSPACE();
	}
	my $next = $cpage + 1;
		
	$info .= "Page".HTML->getSPACE().HTML->createInputText("page",$cpage, 7).HTML->getSPACE()."of".HTML->getSPACE().$totalPage.HTML->getSPACE()."|".HTML->getSPACE();
	$info .= HTML->getSPACE().HTML->createButton("page", $next, $sizeButton);
	
	return $info;
}
############################ sub getCSS ##################################
sub showPageLink{
	my $cpage	  = $_[1];
	my $totalPage = $_[2];
	my $linkAdress = $_[3];
	my $previous = 0;			my $info = "";
	my $sizeButton = 5;
	
	if ($cpage > 1){
		$info .= HTML->link("First", $linkAdress."page=1").HTML->getSPACE();
	}
	if ($cpage > 2){
		$previous = $cpage -1;
		$info .= HTML->link($previous, $linkAdress."page=$previous").HTML->getSPACE();
	}
	my $next = $cpage + 1;	
	$info .= HTML->link(HTML->fontColor("$cpage",  "red"), $linkAdress."page=$cpage").HTML->getSPACE();	
	
	if ($next < $totalPage){
		$info .= HTML->link("$next", $linkAdress."page=$next").HTML->getSPACE();
	}
	if ($cpage < $totalPage){
		$info .= HTML->link("Last", $linkAdress."page=$totalPage");
	}	
	
	
	return $info;
}


############################ sub getCSS ##################################
sub createButton{
	my $name    	= $_[1];
	my $value    	= $_[2];
	my $size		= $_[3];
	my $info = "<input type=\"submit\" name=\"$name\" size=\"$size\" class=\"groovybutton\" value=\"$value\">\n";
	return $info;
}


############################ sub getCSS ##################################
sub createHidden{
	my $name    	= $_[1];
	my $value    	= $_[2];
	my $info = "<input type=\"hidden\" name=\"$name\" value=\"$value\"/>\n";
	return $info;
}


############################ sub getCSS ##################################
sub createInputText{
	my $name    	= $_[1];
	my $value    	= $_[2];
	my $size		= $_[3];
	
	my $info = "<input type=\"text\" name=\"$name\" size=\"$size\" value=\"$value\"/>\n";
	return $info;
}



############################ sub getCSS ##################################
sub createForm{
	my $action    	= $_[1];
	my $method    	= $_[2];
	my $value    	= $_[3];
	my $info = "<form action=\"$action\" method=\"$method\">\n";
	$info .= $value."\n";
	$info .= "</form>\n";
	return $info;
}


############################ sub getCSS ##################################
sub getCSS{
	my $path_css    = $_[1];
	my $info = "<link rel=\"stylesheet\" href=\"$path_css\" type=\"text/css\" />";
	
	return $info;
}

############################ sub getCSS ##################################
sub setHTMLTAG{
	my $code    = $_[1];
	my $info = "<html>\n".$code."</html>\n";
	
	return $info;
}

############################ sub getCSS ##################################
sub setHEADTAG{
	my $code    = $_[1];
	my $info = "<head>\n".$code."</head>\n";
	
	return $info;
}

############################ sub getCSS ##################################
sub setBODYTAG{
	my $code    = $_[1];
	my $info = "<body>\n".$code."</body>\n";
	
	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub getBR {
	return $BR;
}

############################ sub runFormatFiletoSam ##################################
sub getSPACE{
	return $SPACE;
}


############################ sub runFormatFiletoSam ##################################
sub fontColor {

    my $text    = $_[1];
    my $color    = $_[2];
    
    my $info = "<font color=\"$color\">".$text."</font>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub fontStyle {

    my $text    = $_[1];
    my $class    = $_[2];
    
    my $info = "<font class=\"$class\">".$text."</font>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub fontSize {

    my $text    = $_[1];
    my $size    = $_[2];
    
    my $info = "<font size=\"$size\">".$text."</font>";      
    return $info;
}
############################ sub runFormatFiletoSam ##################################
sub pClass {

    my $text    = $_[1];
    my $class   = $_[2];
    
    my $info = "<p class=\"$class\">".$text."</p>";      
    return $info;
}
############################ sub runFormatFiletoSam ##################################
sub center {

    my $text    = $_[1];    
    my $info = "<center>".$text."</center>";      
    return $info;
}
############################ sub runFormatFiletoSam ##################################
sub getH3 {

    my $text    = $_[1];    
    my $info = "<h3>".$text."</h3>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub bold {

    my $text    = $_[1];    
    my $info = "<b>".$text."</b>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub fontFace {

    my $text    = $_[1];
    my $face    = $_[2];
    
    my $info = "<font face=\"$face\">".$text."</font>";      
    return $info;
}


############################ sub runFormatFiletoSam ##################################
sub link {

    my $text    = $_[1];
    my $a_link    = $_[2];
    
    my $info = "<a href=\"$a_link\">".$text."</a>";      
    return $info;
}


############################ sub runFormatFiletoSam ##################################
sub linkClass {

    my $text    = $_[1];
    my $a_link    = $_[2];
    my $a_class    = $_[3];
    my $info = "<a class=\"$class\" href=\"$a_link\">".$text."</a>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub linkName {

    my $text    = $_[1];
    my $name    = $_[2];
    
    my $info = "<a name=\"$name\">".$text."</a>";    
    return $info;
}
############################ sub runFormatFiletoSam ##################################
sub linkText {

    my $text    	 = $_[1];
    my $path_link    = $_[2];
    my $text_link    = $_[3];
    
    my $info = "<a href=\"$path_link#$text_link\">".$text."</a>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub div {

    my $text    = $_[1];
    my $id    = $_[2];
    
    my $info = "<div id=\"$id\">".$text."</div>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub tableOne {

    my $text    = $_[1];
    my $border  = $_[2];
    my $align   = $_[3];
    my $width   = $_[4];
    
    my $info = "<table border=\"$border\" align=\"$align\" width=\"$width\"> <tr><td>".$text."</tr></td></table>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub tableOneColor {

    my $text    = $_[1];
    my $border  = $_[2];
    my $align   = $_[3];
    my $width   = $_[4];
    my $color   = $_[5];
    
    my $info = "<table border=\"$border\" align=\"$align\" width=\"$width\"> <tr><td bgcolor=\"$color\">".$text."</tr></td></table>";      
    return $info;
}


############################ sub runFormatFiletoSam ##################################
sub onlyTable {

    my $text    = $_[1];
    my $border  = $_[2];
    my $align   = $_[3];
    my $width   = $_[4];
    
    my $info = "<table border=\"$border\" align=\"$align\" width=\"$width\"> ".$text."</table>";      
    return $info;
}

############################ sub runFormatFiletoSam ##################################
sub createImg {

    my $alt    = $_[1];
    my $border = $_[2];
    my $height = $_[3];
    my $src 	= $_[4];
    my $width = $_[5];
    
    my $info = "<img title=\"$alt\" border=\"$border\" height=\"$height\" src=\"$src\" width=\"$width\">";
    return $info;
}


############################ sub runFormatFiletoSam ##################################
sub tableFromArray {
	my ($lixo, $border, $align, $width, $cellpadding, $cellspacing, $array) = @_;
	my @localArray = @{$array};
    
    	my $info = "<table border=\"$border\" align=\"$align\" width=\"$width\"  cellpadding=\"$cellpadding\" cellspacing=\"$cellspacing\"> <tr>\n";
    	for (my $i = 0; $i <scalar(@localArray); $i++){#i = row
    		$info .= "<td align=\"$align\">" .$localArray[$i]."</td>\n";
	}
    
    	$info .= "</tr></table>\n";      
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub tableFromArrayRow {
	my ($lixo, $border, $align, $width, $cellpadding, $cellspacing, $array) = @_;
     	my @localArray = @{$array};

    	my $info = "<table border=\"$border\" align=\"$align\" width=\"$width\"  cellpadding=\"$cellpadding\" cellspacing=\"$cellspacing\">\n";
    	for (my $i = 0; $i <scalar(@localArray); $i++){#i = row
    		$info .= "<tr><td>" .$localArray[$i]."</td></tr>\n";
		}    
    	$info .= "</table>\n";      
    	return $info;
}
############################ sub runFormatFiletoSam ##################################
sub tableFromArrayRowClass {
	my ($lixo, $class, $array) = @_;
     	my @localArray = @{$array};

    	my $info = "<table class=\"$class\">\n";
    	for (my $i = 0; $i <scalar(@localArray); $i++){#i = row
    		$info .= "<tr><td>" .$localArray[$i]."</td></tr>\n";
	}    
    	$info .= "</table>\n";      
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub trtdFromArra2d {
	my ($lixo, $row, $col, $array) = @_;
 	my @localArray = @{$array};

	my $info = "";
    	for (my $i = 0; $i < $row; $i++){#i = row
    		$info .= "<tr onMouseover=\"this.bgColor=\'\#CCCCCC\'\" onMouseout=\"this.bgColor=\'\#FFFFFF\'\">\n";
    		for (my $j = 0; $j <$col; $j++){#i = row
    			$info .= "<td>" .$localArray[$i][$j].HTML->getSPACE()."</td>\n";
    		}
    		$info .= "</tr>\n";
	}     
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub trtdFromArray2dFull {
	my ($lixo, $row, $col, $align, $array) = @_;
 	my @localArray = @{$array};

	my $info = "";
    	for (my $i = 0; $i < $row; $i++){#i = row
    		$info .= "<tr>\n";
    		for (my $j = 0; $j <$col; $j++){#i = row
    			$info .= "<td align=\'$align\'>" .$localArray[$i][$j].HTML->getSPACE()."</td>\n";
    		}
    		$info .= "</tr>\n";
	}     
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub trtdFromArra2dBgFC {
	my ($lixo, $row, $col, $bg, $fontColor, $array) = @_;
 	my @localArray = @{$array};

	my $info = "";
    	for (my $i = 0; $i < $row; $i++){#i = row
    		$info .= "<tr bgColor=\"$bg\">\n";
    		for (my $j = 0; $j <$col; $j++){#i = row
    			$info .= "<td>" . HTML->fontColor($localArray[$i][$j], $fontColor)."</td>\n";
    		}
    		$info .= "</tr>\n";
	}     
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub tableFromArra2d {
	my ($lixo, $border, $align, $width, $cellpadding, $cellspacing, $row, $col, $array) = @_;
	my @localArray = @{$array};

	my $info = "<table border=\"$border\" align=\"$align\" width=\"$width\"  cellpadding=\"$cellpadding\" cellspacing=\"$cellspacing\">\n";
    	for (my $i = 0; $i < $row; $i++){#i = row
    		$info .= "<tr>\n";
    		for (my $j = 0; $j <$col; $j++){#i = row
    			$info .= "<td>" .$localArray[$i][$j].HTML->getSPACE()."</td>\n";
    		}
    		$info .= "</tr>\n";
	}
    
   	$info .= "</table>\n";      
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub tableFromArra2dDefineWidth {
	my ($lixo, $event_mouse, $border, $align, $width, $cellpadding, $cellspacing, $row, $col, $array, $arrayWidth) = @_;
	my @localArray = @{$array};
	my @localArrayWidth = @{$arrayWidth};

	my $event = "";
	if ($event_mouse eq "true"){
		$event = "onMouseover=\"this.bgColor=\'\#CCCCCC\'\" onMouseout=\"this.bgColor=\'\#FFFFFF\'\"";
	}
	
	
	my $info = "<table border=\"$border\" align=\"$align\" width=\"$width\"  cellpadding=\"$cellpadding\" cellspacing=\"$cellspacing\">\n";
    	for (my $i = 0; $i < $row; $i++){#i = row
    		$info .= "<tr $event>\n";
    		for (my $j = 0; $j <$col; $j++){#i = row
    			$info .= "<td width=\"". $localArrayWidth[$i][$j] ."\">" .$localArray[$i][$j]."</td>\n";
    		}
    		$info .= "</tr>\n";
	}
    
    	$info .= "</table>\n";      
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub tableFromArra2dDefineWidthClass{
	my ($lixo, $class, $row, $col, $array, $arrayWidth) = @_;
	my @localArray = @{$array};
	my @localArrayWidth = @{$arrayWidth};

	my $info = "<table class=\"$class\">\n";
    	for (my $i = 0; $i < $row; $i++){#i = row
    		$info .= "<tr>\n";
    		for (my $j = 0; $j <$col; $j++){#i = row
    			$info .= "<td width=\"". $localArrayWidth[$i][$j] ."\">" .$localArray[$i][$j]."</td>\n";
    		}
    		$info .= "</tr>\n";
	}
    
    	$info .= "</table>\n";      
    	return $info;
}

############################ sub runFormatFiletoSam ##################################
sub tableFromArra2dDefineClass{
	my ($lixo, $class, $array) = @_;
	my @localArray = @{$array};
	

	my $info = "<table class=\"$class\">\n";
    for (my $i = 0; $i < scalar(@localArray); $i++){#i = row
    	$info .= "<tr>\n";
    	for (my $j = 0; $j < $#{$localArray[$i]} + 1; $j++){#i = row
    		$info .= "<td>" .$localArray[$i][$j]."</td>\n";
    	}
    	$info .= "</tr>\n";
	}
    
    $info .= "</table>\n";      
    return $info;
}


############################ sub runFormatFiletoSam ##################################
sub tableFromArra2dDefineWidthClassRow2Color{
	my ($lixo, $class, $row, $col, $array, $arrayWidth) = @_;
	my @localArray = @{$array};	
	my @localArrayWidth = @{$arrayWidth};

	my $info = "<table class=\"$class\">\n";
    	for (my $i = 0; $i < $row; $i++){#i = row
    		$info .= "<tr  onMouseover=\"this.bgColor=\'\#CCCCCC\'\" onMouseout=\"this.bgColor=\'\#FFFFFF\'\" >\n";
    		for (my $j = 0; $j <$col; $j++){#i = row
    			$info .= "<td width=\"".$localArrayWidth[$i][$j] ."\">" .$localArray[$i][$j]."</td>\n";
    		}
    		$info .= "</tr>\n";
	}
    
    	$info .= "</table>\n";      
    	return $info;
}
1