package Hash;
use strict;
if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use File::Files;

############################ sub isGap ####################################
sub hashToArray{
	my $params =  $_[1];
    my %hash = %$params;
	
	my @array = ();
	my $count = 0;
	while ( my ($key, $value) = each(%hash) ) {
		$array[$count][0] = $key;
		$array[$count][1] = $value;
		$count++;
	}
	return @array;
}

############################ sub isGap ####################################
sub hashToFile{
	my $sep	   =  $_[1];
	my $outputFile  =  $_[2];
	my $params =  $_[3];
    my %hash = %$params;
	
	my $info = "";
	my @array = ();
	my $count = 0;
	while ( my ($key, $value) = each(%hash) ) {
		$info .= $key.$sep.$value."\n";
	}
	FilesIO->saveFile($outputFile, $info, "false");
}

############################ sub isGap ####################################
sub hashToFileOnlyValue{
	my $outputFile  =  $_[1];
	my $params =  $_[2];
    my %hash = %$params;
	
	my $info = "";
	my @array = ();
	my $count = 0;
	while ( my ($key, $value) = each(%hash) ) {
		$info .= $value;
	}
	FilesIO->saveFile($outputFile, $info, "true");
}


############################ sub isGap ####################################
sub hashToFileOnlyKey{
	my $outputFile  =  $_[1];
	my $params 		=  $_[2];
    my %hash = %$params;
	
	my $info = "";
	my @array = ();
	my $count = 0;
	while ( my ($key, $value) = each(%hash) ) {
		$info .= $key."\n";
	}
	FilesIO->saveFile($outputFile, $info, "true");
}


############################ sub isGap ####################################
sub hashToStringOnlyValue{
	my $params =  $_[1];
    my %hash = %$params;
	
	my $info = "";
	my @array = ();
	my $count = 0;
	while ( my ($key, $value) = each(%hash) ) {
		$info .= $value;
	}
	return $info;
}
############################ sub isGap ####################################
sub printHash{
	my $params =  $_[1];
    my %hash = %$params;
	
	my @array = ();
	my $count = 0;
	my $info = "";
	while ( my ($key, $value) = each(%hash) ) {
		$info .= $key ." == >$value\n";
	}
	return $info;
}

############################ sub isGap ####################################
sub getKeyByFrequence{
	my $params =  $_[1];
    my %hash = %$params;
	
	my @array = ();
	my $count = 0;
	my $info = "";
	my $max = -1;
	my $maxKey = "";
	
	while ( my ($key, $value) = each(%hash) ) {
		if ($value > $max){
			$max = $value;
			$maxKey = $key;
		}
	}
	return $maxKey;
}

1




