package KNN;

if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use String::StringUtil;

my $programName = "weka.classifiers.lazy.IBk";

my $PROG_NAME = "WEKA::KNN";
my $TOKEN_TEST = "=== Error on test data ===";
my $TOKEN_TEST_MATRIX = "a b   <-- classified as";

my $MSG_ERROR_FILE_NOT_FOUND = "ERROR::$PROG_NAME:: File NOT found = "; 
my $MSG_ERROR_FILE_NOT_CREATED = "ERROR::$PROG_NAME:: File NOT created = "; 

############################ sub loadAlign1d ####################################
sub run {
	
	my $classpath    = $_[1];
  	my $trainFile	 = $_[2];
  	my $testFile	 = $_[3];
  	my $output  	 = $_[4];
  	my $verbose  	 = $_[5];
  	
  	FilesIO->checkFile($trainFile, "$MSG_ERROR_FILE_NOT_FOUND $trainFile");
  	FilesIO->checkFile($testFile, "$MSG_ERROR_FILE_NOT_FOUND $trainFile");

	my $cmd = "java  -classpath $classpath $programName -t $trainFile -T $testFile > $output";
	
	system($cmd);
	FilesIO->checkFile($output, "$MSG_ERROR_FILE_NOT_CREATED $output");		
}

############################ sub loadAlign1d ####################################
sub readResultFile {
	
	my $resultFile	 = $_[1];
	
	my $start = "false";
	my @array_aux;
	my $i = 0;
	my $tp; my $fn; my $fp; my $tn;
	my @array_result = ();
	
	my @array = FilesIO->lineFileToArrayWithToken($resultFile, $TOKEN_TEST);
	
	while ($i < scalar(@array)){
		if (index($array[$i], $TOKEN_TEST_MATRIX) >=0){
			$start = "true";
		}
		if ($start eq "true"){
			$i++;
			@array_aux = split(/ +/, $array[$i]);
			$tp = $array_aux[1];
			$fn = $array_aux[2];
			$i++;
			@array_aux = split(/ +/, $array[$i]);
			$fp = $array_aux[1];
			$tn = $array_aux[2];
			push(@array_result, $tp);
			push(@array_result, $fn);
			push(@array_result, $fp);
			push(@array_result, $tn);
			return @array_result;
		}
		$i++;
	}
			
}

1