package Analyzes;

if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use File::Files;
use Util::Array;
use Sequence::sequence;


############################ sub main ##################################
sub compareWithTable{
	my $tf_candidate 		=  $_[1];
	my $pfamId 		 		=  $_[2];
	my $params 				=  $_[3];
	my %hash_result = %$params;
	
	if (exists($hash_result{$tf_candidate})){
		my $result = $hash_result{$tf_candidate};
		my @array_aux = split(/\t/, $result);
		$result = $array_aux[0]."@". $array_aux[1]."@". String->removeCaracter($array_aux[4], "\n");
		return $result;
	}else{
		return "false";
	}		
}

############################ sub main ##################################
sub compareWithTableAnnotation{
	my $tf_candidate 		=  $_[1];
	my $pfamId 		 		=  $_[2];
	my $params 				=  $_[3];
	my %hash_result = %$params;
	
	my $evalues; 			my @array_evalues = ();
	my $min_evalue;			my $size_array;
	
	if (exists($hash_result{$tf_candidate})){
		my $result = $hash_result{$tf_candidate};
		#print "before".$result;
		my @array_aux = String->StringToArray2d($result, "\n", "\t");	
		$result = "";
		
		for (my $i=0; $i< scalar(@array_aux); $i++){
			$result .= $array_aux[$i][4]."@". $array_aux[$i][5]."@". $array_aux[$i][2]."-";
			$size_array = $#{$array_aux[0]};
			$evalues = String->removeCaracter($array_aux[$i][$size_array], "\n");
			@array_evalues = split(/\,/, $evalues);
			$min_evalue = Array->getSmaller(\@array_evalues);
			$result .=  $min_evalue.";";
		}
		#print $result."\n";
		return $result;
	}else{
		return "false";
	}		
}
############################ sub main ##################################
sub getOrganismName{
	my $query  = $_[1];
	my $params = $_[2];
    my %hash_specie = %$params;

	
	my @array_aux = split(/_/, $query);
	my $organism_abv = $array_aux[1]; 
	my $organism = "";
	
	#print $organism_abv."\n";

	if ($query eq "HMMer-3"){
		$organism = $query;
	}elsif(exists($hash_specie{$organism_abv})){
		#print $hash_specie{$organism};
		@array_aux = split(/:/, $hash_specie{$organism_abv});
		@array_aux = split(/=/, $array_aux[1]);
		$organism = $array_aux[1];
		#print $organism;
	}else{
		print "ERROR::".$PROG_NAME.":: $organism ($query) NOT found in $specieFile\n";
		$organism = "";
	}
	
	return String->removeCaracter($organism,"\n");
}

############################ sub main ##################################
sub getFunctionPlasmoDB{
	my $tf_candidate =  $_[1];
	my $database	 =  $_[2];
	my $seq_tf  	 =  $_[3];
	my $verbose  	 =  $_[4];
	
	Sequences->getOneSequenceFromDatabase($database, $seq_tf, $tf_candidate." |", $verbose);
	my @arraySeq = Sequences->getSequenceFromFastaArray2D($seq_tf);
	my @array_aux = split(/\|/, $arraySeq[0][0]);
	#print "oi". $arraySeq[0][0]."\n";
	my $function = $array_aux[3];
	$function = String->removeString($function, "product=");
	if (index($function, "unknown function") >=0){
		$function = "unknown function";
	}
	if (defined($function)){
		return $function;
	}else{
		return "";
	}
	
}




1