#!/usr/bin/perl -w
use strict;
use lib "/home/juliana/tese/desenvolvimento/scripts_perl/teste_scop";
use File::Files;
use Scop::ScopPattern;


#Variaveis que comportam os parametros de entrada
my $in_file 			= "";
my @array_family                = ();
my $div                         = "3";

&getParameters;
&main;

############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-filein"){
			$in_file = $ARGV[$counter+1];		
		}			
	}
}
################################# sub main ######################################
sub main {
    my @families 		= ();
	my @family 		= ();
	my $entry;
	my $old_pattern		= "";
	my $new_pattern		= "";
	my $dir;
        my $info_grupo          = "";
        my $path                = "";
               
	#read family file
	unless (open(FAMILYFILE, "$in_file")) {
       		print "Could not open file $in_file !\n";
        	exit;
	}
	@families = <FAMILYFILE>;
	system ("date");
	print "\n";
	foreach $entry (@families) {
		@family	= split(/ +/,$entry);
                $new_pattern = ScopPattern->getPattern($div,".",$family[0]);
                if ($new_pattern ne $old_pattern && $old_pattern ne ""){
                    &divideGroup($new_pattern);                   
		}
                push(@array_family, $entry);
                $old_pattern = $new_pattern;
               
	}
	system ("date");
	close FAMILYFILE;
}

################################# sub divideGroup ######################################
sub divideGroup {
    my $entry;
    my $new_sample;
    my $old_sample          = "";
    my @array_item          = ();
    
    foreach $entry (@array_family){
        @array_item = split(/ +/,$entry);
        if ($array_item[0] ne $old_sample){
            &createGroup($array_item[0]);
        }
    } 				
}    
    
################################# sub createGroup ######################################    
sub createGroup {
    my $sample              = $_[0];
    my $pattern_sample	    = ScopPattern->getPattern($div,".",$sample);
    my $new_pattern;
    my $entry;
    my $new_sample;
    my $old_sample          = "";
    my @array_item          = ();
    my $info_group          = "";
    my $path                = "";
    my $dir                 = "";
    my $ref                 = "";
    my $count_seq	    = 0;
    
    #print @array_family;
    foreach $entry (@array_family){
        @array_item = split(/ +/,$entry);
	$new_pattern = ScopPattern->getPattern($div,".",$array_item[0]);
        if ($array_item[0] ne $sample && $pattern_sample eq $new_pattern){
            if (($array_item[0] ne $old_sample) && ($old_sample ne "")){
                #print "grupo $path \n".$info_group;
                $ref.= $old_sample." ".$count_seq."\n";
                FilesIO->saveFile($path,$info_group);
                $info_group = ""; $count_seq = 0;
            }
            $info_group .= $entry;
	    $count_seq++;
            $dir = substr($array_item[4],0,index($array_item[4],"\n")). "/";
            $path = $dir.$sample."/pdb/".$array_item[0].".ids";
            $old_sample  = $array_item[0];            
        }        
    }
    $ref.= $old_sample." ".$count_seq."\n";
    #FilesIO->saveFile($path,$info_group);
    FilesIO->saveFile($path = $dir.$sample."/pdb/".$sample.".groups",$ref);
}

  