#!/usr/bin/perl -w
use strict;
use lib "/home/jsilva/perlLib";
use String::StringUtil;
use File::Files;


#Variaveis que comportam os parametros de entrada
my $in_file 		= "";
my $in_db 		= "";
my $sum_true = 0;
my $dir = "/home/jsilva/projetos/projeto_align/datas/sequences/";
my $count_true = 0;

&getParameters;
&main;

############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-filein"){
			$in_file = $ARGV[$counter+1];		
		}elsif($ARGV[$counter] eq "-db"){
			$in_db = $ARGV[$counter+1];		
		}			
	}
}

############################ sub main ##################################
sub main {
	my @families 		= ();
	my @family 		= ();
	my $entry;
	my $pattern		= "";
	my $pattern_old		= "";
	
	my $info		= "";
		
	#read family file
	unless (open(FAMILYFILE, "$in_file")) {
       	print "Could not open file $in_file !\n";
        	exit;
    	}
	@families = <FAMILYFILE>;	
	foreach $entry (@families) {
		@family = split(/\n/,$entry);
		$pattern = &getPattern(3, ".", $family[0]);
		#$dir = substr($family[4],0,index($family[4],"\n")). "/" ;
			$info = &getTruePositiveDB($pattern);
			#print $info. "\n";
			if ($pattern_old ne $pattern){
				print "$pattern\t". $count_true."\n";
				
			}
			$count_true = 0;

			#FilesIO->removeFile($dir.$pattern."true");
			#print $info;
			
			#&saveFile($dir.$pattern."/".$pattern."true",$info);
			$info = "";
		#}
		
		#$info .= $family[1]." ".$family[0]."\n";
		$pattern_old = $pattern;
	}
	#print "True $sum_true\n";
	#&saveFile($dir.$pattern_old."true",$info);
	print	$sum_true;
	close FAMILYFILE;
}
############################ sub getPattern ##################################
sub getTruePositiveDB {
	my $pattern 		= $_[0];
	
	my @array_file		= ();
	my @sequence_file	= ();
	my $line;
	my $entry_file;
	my $all			= "";
	my $info_file		= "";
	my $annotation;
	
	
	
	unless (open(FILE, "$in_db")) {
       		print "Could not open file $in_db !\n";
        	exit;
	}
	@array_file = <FILE>;
	
	foreach $line (@array_file) {
		if ($line ne "\n"){
			$all .= $line
		}        	
	}
	
	@sequence_file = split (/>/, $all);
	
	foreach $entry_file (@sequence_file) {
		if($entry_file	=~ /(.+)\n((.+\n)+)/ ) {
	       		$annotation 	= $1;
        		if (index ($annotation, $pattern) > 0) {	
				$info_file = $info_file .$annotation ."\n";
				$count_true++;
			}
			
		}
	}
	#print $count_true."\n";
	$sum_true += $count_true;
	return $info_file;
	close FILE;
	
}
############################ sub getPattern ##################################
sub getPattern {
	my $num 	= $_[0];
	my $sep		= $_[1];
	my $string 	= $_[2];
	my $counter;
	my $indice;
	my $new_string 	= "";

	for($counter = 0 ; $counter < $num  ; $counter++){
		$indice 	= index($string, $sep);
		if ($indice >=0){
			$new_string 	= $new_string . substr($string,0,$indice+1);
			$string		= substr($string,$indice+1, length($string));			
		}
	}
	return $new_string;	
}

############################ sub saveFile ###################################
sub saveFile{
	my $path 	= $_[0];
	my $info  	= $_[1];

	if (open(FILESEQ,">$path")){
		print FILESEQ $info;
		print "file $path was created\n";
	}
	else{
		print "file $path not found\n";
	}
	close FILESEQ;
}
