#!/usr/bin/perl -w
use strict;

#Variaveis que comportam os parametros de entrada
my $in_file 		= "";

&getParameters;
&main;

############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-filein"){
			$in_file  = $ARGV[$counter+1];		
		} 		
	}
}

############################ sub main ##################################
sub main{
	my @families 		= ();
	my @family 			= ();
	my $entry;
	my $dir_old 		= "";
	my $dir;
	my $new_sample;
		
	#read family file
	unless (open(FAMILYFILE, "$in_file")) {
       	print "Could not open file $in_file !\n";
        	exit;
    	}
	@families = <FAMILYFILE>;
	foreach $entry (@families) {
		@family = split(/ +/,$entry);
		$dir = substr($family[4],0,index($family[4],"\n")). "/" ;
		$new_sample = $family[0];	
		if ($dir ne $dir_old){
			&compactaFile($dir,$new_sample);
		}
		$dir_old = $dir;
	}
	close FAMILYFILE;
}

############################ sub formatFile #####################################
sub compactaFile{
	my $dir		  = $_[0];
	my $pattern   	 = $_[1];

	$pattern  = &getPattern(3,".",$pattern);
	my $geral_dir = substr($dir,0,index($dir,$pattern));
	print "dir = ". $geral_dir."\n";
	chdir($geral_dir);
	#my $dir_comp = substr($dir,0,index($dir,"\n"))."tar.gz";
	my $dir_comp = $pattern."tar.gz";

	my $cmd = "tar -xzvf $dir_comp";
	print $cmd. "\n";
	system ($cmd);	
}

############################ sub getPattern ##################################
sub getPattern {
	my $num 		= $_[0];
	my $sep		= $_[1];
	my $string 	= $_[2];
	my $counter;
	my $indice;
	my $new_string 	= "";

	for($counter = 0 ; $counter < $num  ; $counter++){
		$indice 	= index($string, $sep);
		if ($indice >=0){
			$new_string 	= $new_string . substr($string,0,$indice+1);
			$string		= substr($string,$indice+1, length($string));			
		}
	}
	return $new_string;	
}

