#!/usr/bin/perl -w
use strict;


#Variaveis que comportam os parametros de entrada
my $in_file 		= "";

#Variaveis globais
my @array_family	= ();

&getParameters;
#&movePdbFiles;
&main;

############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-filein"){
			$in_file = $ARGV[$counter+1];		
		}			
	}
}

#################################### sub main ##################################
sub main {

	my @families 		= ();
	my @family 			= ();
	my $entry;
	my $old_sample		= "";
	my $new_sample		= "";
	my $dir;
		
	#read family file
	unless (open(FAMILYFILE, "$in_file")) {
       	print "Could not open file $in_file !\n";
        	exit;
    }
	@families = <FAMILYFILE>;
	
	foreach $entry (@families) {
		@family	= split(/ +/,$entry);
		$new_sample = $family[0];
		if ($new_sample ne $old_sample){
			$dir = substr($family[4],0,index($family[4],"\n")). "/" ;	
			&createDirMoveFiles($new_sample, $dir);
		}
		$old_sample = $new_sample;					
	}
	
	close FAMILYFILE;
}
############################ sub createDirMoveFiles ##################################
sub createDirMoveFiles{
	my $sample		= $_[0];
	my $dir			= $_[1];

	my $dir_result 		= $dir.$sample."/result/";
	my $dir_mammoth	= $dir_result . "mammoth/";
	my $dir_calib_mammoth = $dir_mammoth."nocalibrated/";
	my $dir_cemc   	= $dir_result. "cemc/";
	my $dir_calib_cemc = $dir_cemc."nocalibrated/";

	#mkdir $dir_mammoth;
	mkdir $dir_calib_mammoth;
	
	#mkdir $dir_cemc;
	mkdir $dir_calib_cemc;

	#my $cmd = "mv $dir_result"."hmmer  $dir_calib_mammoth";
	#system $cmd;	
	#$cmd = "mv $dir_result"."hmmer3d  $dir_calib_mammoth";
	#system $cmd;	
	#$cmd = "mv $dir_result"."sam  $dir_calib_mammoth";
	#system $cmd;	


}
