#!/usr/bin/perl -w
use strict;
#!/usr/bin/perl -w
use strict;
if (exists($ENV{'PERL_LIB'})){ use lib $ENV{'PERL_LIB'};}else{print "ERROR:: Not existis PERL_LIB\n";exit;}


use Align::Primary::clustalw;
use Util::Hash;

my $listFile = "";
my $outputFile = "";
my $verbose = "true";
my $PROG_NAME = "perlLib::run::concatAlnSeq.pl";

&getParameters;
&checkParameters;
&main;


############################ sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-listFile"){
			$listFile = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-verbose"){
			$verbose = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "-outputFile"){
			$outputFile = $ARGV[$counter+1];
		}						
	}
}
############################ sub checkParameters ##################################
sub checkParameters {
	print "\n=============================================\n";
	print "Cheking Parameters $PROG_NAME\n";
	
	String->isEmpty($listFile, "ERROR:: Parameter -listFile is required");
	FilesIO->checkFile($listFile, "ERROR:: File NOT found ".$listFile);
	String->isEmpty($outputFile, "ERROR:: Parameter -outputFile is required");
		
	print "-listFile = $listFile\n";
	print "-verbose = $verbose\n";
	print "-outputFile = $outputFile\n";
	print "ok\n";	
}	


############################ sub main ##################################
sub main{
	my $item;						my $alnFile;
	my %hash_aln = ();				my %new_hash = ();
	my $info = "";					my $lenKey;
	my $bigger = -1;				my $total;
	my $space;						my $qtd_seq = 0;
	my $size_aln;
	
	my @array = FilesIO->lineFileToArray($listFile);
	
	foreach $item (@array){
		print $item;
		$alnFile = String->removeCaracter($item, "\n");
		%hash_aln = Clustalw->loadAlign($alnFile);
		
		while ( my ($key, $value) = each(%hash_aln) ) {		
			#print $key."\n";	
			$lenKey = length($key);
			if ($lenKey > $bigger){
				$bigger = $lenKey;
			}
			if (exists($new_hash{$key})){
				$new_hash{$key} .= $value;
			}else{
				$new_hash{$key} = $value;
			}
		}
	}
	while ( my ($key, $value) = each(%new_hash) ) {	
		$total = 5 + ($bigger - length($key));
		$space = String->createStrCaracter($total, " ");
		$info .=  $key.$space.$value."\n";	
		$qtd_seq++;
		$size_aln = length($value);		
	}
	FilesIO->saveFile($outputFile, "   ".$qtd_seq."   ".$size_aln."\n". $info, $verbose);
	
	#Hash->printHash(\%new_hash);
	
}

