#!/usr/bin/perl -w
use strict;
if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use File::Files;
use String::StringUtil;

my $file = "";
my $paral = "false";
my $silence = "false";




my @array = ();

&getParameters;
my @array = FilesIO->lineFileToArray($file);
my $value;
my $info = "";
for(my $counter = 0 ; $counter < scalar(@array) ; $counter++){
	$value = String->removeCaracter($array[$counter], "\n");
	if ($value == 0 || $value == 1){
		$info .="0\n";
	}else{
		$info .="1\n";
	}
	
}
print $info;
exit;
&main;

########################### sub getParameters ##################################
sub getParameters {
	my $counter;
	my $ending_value = scalar(@ARGV);		#numero de parametros de entrada
	for($counter = 0 ; $counter < $ending_value ; $counter++){
		if($ARGV[$counter] eq "-file"){
			$file = $ARGV[$counter+1];
		}elsif($ARGV[$counter] eq "--paral"){
			$paral = "true";	
		}elsif($ARGV[$counter] eq "--silence"){
			$silence = "true";	
		}
	}
}

################################### sub main #####################################
sub main {
	if ($silence eq "false"){
		print "====================================\n";
		print "Start ";
		system("date");
		print "====================================\n";
	}
		
	my $entry;

	my $i = 0;

	if (FilesIO->isFile($file) eq "true"){
		@array = FilesIO->lineFileToArray($file);
		my @array_executions = &readExecutions();
		if (scalar(@array_executions) == 0){
			@array_executions = @array;
		}
		foreach $entry (@array_executions) {
			if (index($entry, "#") < 0 && $entry ne "\n"){ 
				my $cmd =  String->removeCaracter($entry,"\n");
				#print $cmd."\n";
				if ($paral eq "true"){
					$cmd .= "&";
				}
				$i++;
				if ($silence eq "false"){
					print "************************************\n";
					print "Start $i ";
					system("date");
					print "************************************\n";
					print $cmd."\n";
				}
					system ($cmd);
				if ($silence eq "false"){
					print "************************************\n";
					print "End $i ";
					system("date");
					print "************************************\n";
				}
			}	
		}
	}
	else{
		print "ERROR: File $file not found\n"
	}
	if ($silence eq "false"){
		print "====================================\n";
		print "End ";
		system("date");
		print "====================================\n";
	}

}

################################### sub main #####################################
sub readExecutions {
	my $entry;
	my $info = "";
	my $start = "false";
	my @array_executions = ();
	my $i = 0;
	foreach $entry (@array) {
		#print $entry."\n";
		if (index($entry, "START_EXECUTION") >=0 ){
			$start = "true";
		}elsif (index($entry, "END_EXECUTION") >=0 ){
			$start = "false";
			$array_executions[$i] =  $info;
			$i++;
			
			$info = "";
		}elsif ($start eq "true"){
			$info .= String->removeCaracter($entry,"\n") . " ";	
		}
	}
	#foreach $entry (@array_executions) {
	#	print $entry."\n\n";
	#}
	
	return @array_executions;
}
