package DND;

if (exists($ENV{'PERL_LIB'})){
	use lib $ENV{'PERL_LIB'};
} 
else{
	print "ERROR:: Not existis PERL_LIB\n";
	exit;
}

use File::Files;
use Util::Number;


########################## sub buildPSSM ##############################
sub renameDNDFile {
	my $dndFile			= $_[1];
    my $mapsFile		= $_[2];
    my $output			= $_[3];
    my $verbose			= $_[4];
    
    my %hash_map =  FilesIO->fileToHash($mapsFile,"\t",0);
    
    my $info = FilesIO->lineFileToString($dndFile);
    #print "before\n".$info;
    while ( my ($key, $value) = each(%hash_map) ) {
    	$info = String->replace($info, $value, $key);
        #print "$key => $value\n";
    } 
 	#print "After\n".$info;
    FilesIO->saveFile($output, $info, $verbose);
}

########################## sub buildPSSM ##############################
sub divideTree {
	my $dndFile			= $_[1];
    my $output			= $_[3];
    my $verbose			= $_[4];
    
    my $info = FilesIO->lineFileToString($dndFile);
    $info = String->removeCaracter($info, "\n");
    my @pill  = ();
    my $top = 0;
    $info =~ s/\(/\(\n/g;
    $info =~ s/\)/\n\)/g;
    $info =~ s/\:/\n/g;
    $info =~ s/\,/\n/g;
    $info = String->removeCaracter($info, ";");
    print $info."\n\n\n";
    my $tree = "";
    my $newTree = "false";
    my @array = split(/\n/, $info);
    my @array_sub_tree = (); my $count_sub_tree = 0;
 
    for (my $i =0; $i< scalar(@array); $i++){
    	#print $array[$i]."\n";
    	if ($array[$i] eq "("){
    		push(@pill, $array[$i]);
    		print "pushed ". $array[$i]."\n";
    		$top++;
    		$newTree = "true";
    	}elsif ($array[$i] eq ")"){
    		pop(@pill);
    		$top--;
    		print $count_sub_tree." - ".$tree."\n";
    		if ($newTree eq "true"){
    			$array_sub_tree[$count_sub_tree] = $tree;
    			$newTree = "false";
    		}else{
    			$array_sub_tree[$count_sub_tree] = $array_sub_tree[$count_sub_tree-1].$tree;
    		}
    		$count_sub_tree++;
    		$tree = "";
    		print "unpushed ". $array[$i]."\n";
    	}elsif (Number->isNumber($array[$i]) eq "false"){
    		$tree .= $array[$i].",";
    		#print $tree."\n";
    	}
    	#print $array[$i]."\n";
    	
    }
    my $entry;
    
    foreach $entry (@array_sub_tree){
    	 print $entry."\n";   
    }
   
}



1

