
export ENV_VAR_FILE=$1;
source $ENV_VAR_FILE;

export TF_TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;
export FILE=$6;
export OUTPUT_DIR=$7;



perl ~/projetos/perlLib/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \" LOG::START::FAMILY_FACTOR\", \
date, \
echo \$HOSTNAME, \
mkdir -p $OUTPUT_DIR, \
export PERL_LIB=$PERL_LIB \
\) \
-scriptParameters \( \
END_LINE,\
cp $FILE  $OUTPUT_DIR, \
END_LINE \
\) \
-posPost \( \
echo \" LOG::END::FAMILY_FACTOR\", \
date \
\) \
-commandParameters  \( bash \)

