
export ENV_VAR_FILE=$1;
source $ENV_VAR_FILE;

export TF_TABLE=$2;
export LOG_DIR=$3;
export NAME_PROG=$4;
export QTD_FILE=$5;
export FILE=$6;



perl $PERL_LIB/run/runTestSetPFAMFamily.pl \
-trans_factor_table $TF_TABLE \
-nameRun ${NAME_PROG}_runFamily \
-logDir $LOG_DIR \
-kindRun 1 \
-qtdFile $QTD_FILE \
-prePost \( \
echo \" LOG::START::FAMILY_FACTOR\", \
date, \
echo \$HOSTNAME, \
export PERL_LIB=$PERL_LIB \
\) \
-scriptParameters \( \
END_LINE,\
rm $FILE, \
END_LINE \
\) \
-posPost \( \
echo \" LOG::END::FAMILY_FACTOR\", \
date \
\) \
-commandParameters  \( bash \)

